// Module: Nomisma.org API

define(['jquery'], function($) {
    gncodes = [ {"code" : { "term":"A.ADM1", "title":"first-order administrative division", "description":"a primary administrative division of a country, such as a state in the united states" }}, {"code" : { "term":"A.ADM2", "title":"second-order administrative division", "description":"a subdivision of a first-order administrative division" }}, {"code" : { "term":"A.ADM3", "title":"third-order administrative division", "description":"a subdivision of a second-order administrative division" }}, {"code" : { "term":"A.ADM4", "title":"fourth-order administrative division", "description":"a subdivision of a third-order administrative division" }}, {"code" : { "term":"A.ADM5", "title":"fifth-order administrative division", "description":"a subdivision of a fourth-order administrative division" }}, {"code" : { "term":"A.ADMD", "title":"administrative division", "description":"an administrative division of a country, undifferentiated as to administrative level" }}, {"code" : { "term":"A.LTER", "title":"leased area", "description":"a tract of land leased to another country, usually for military installations" }}, {"code" : { "term":"A.PCL", "title":"political entity" }}, {"code" : { "term":"A.PCLD", "title":"dependent political entity" }}, {"code" : { "term":"A.PCLF", "title":"freely associated state" }}, {"code" : { "term":"A.PCLI", "title":"independent political entity" }}, {"code" : { "term":"A.PCLIX", "title":"section of independent political entity" }}, {"code" : { "term":"A.PCLS", "title":"semi-independent political entity" }}, {"code" : { "term":"A.PRSH", "title":"parish", "description":"an ecclesiastical district" }}, {"code" : { "term":"A.TERR", "title":"territory" }}, {"code" : { "term":"A.ZN", "title":"zone" }}, {"code" : { "term":"A.ZNB", "title":"buffer zone", "description":"a zone recognized as a buffer between two nations in which military presence is minimal or absent" }}, {"code" : { "term":"H.AIRS", "title":"seaplane landing area", "description":"a place on a waterbody where floatplanes land and take off" }}, {"code" : { "term":"H.ANCH", "title":"anchorage", "description":"an area where vessels may anchor" }}, {"code" : { "term":"H.BAY", "title":"bay", "description":"a coastal indentation between two capes or headlands, larger than a cove but smaller than a gulf" }}, {"code" : { "term":"H.BAYS", "title":"bays", "description":"coastal indentations between two capes or headlands, larger than a cove but smaller than a gulf" }}, {"code" : { "term":"H.BGHT", "title":"bight(s)", "description":"an open body of water forming a slight recession in a coastline" }}, {"code" : { "term":"H.BNK", "title":"bank(s)", "description":"an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for most surface navigation" }}, {"code" : { "term":"H.BNKR", "title":"stream bank", "description":"a sloping margin of a stream channel which normally confines the stream to its channel on land" }}, {"code" : { "term":"H.BNKX", "title":"section of bank" }}, {"code" : { "term":"H.BOG", "title":"bog(s)", "description":"a wetland characterized by peat forming sphagnum moss, sedge, and other acid-water plants" }}, {"code" : { "term":"H.CAPG", "title":"icecap", "description":"a dome-shaped mass of glacial ice covering an area of mountain summits or other high lands; smaller than an ice sheet" }}, {"code" : { "term":"H.CHN", "title":"channel", "description":"the deepest part of a stream, bay, lagoon, or strait, through which the main current flows" }}, {"code" : { "term":"H.CHNL", "title":"lake channel(s)", "description":"that part of a lake having water deep enough for navigation between islands, shoals, etc." }}, {"code" : { "term":"H.CHNM", "title":"marine channel", "description":"that part of a body of water deep enough for navigation through an area otherwise not suitable" }}, {"code" : { "term":"H.CHNN", "title":"navigation channel", "description":"a buoyed channel of sufficient depth for the safe navigation of vessels" }}, {"code" : { "term":"H.CNFL", "title":"confluence", "description":"a place where two or more streams or intermittent streams flow together" }}, {"code" : { "term":"H.CNL", "title":"canal", "description":"an artificial watercourse" }}, {"code" : { "term":"H.CNLA", "title":"aqueduct", "description":"a conduit used to carry water" }}, {"code" : { "term":"H.CNLB", "title":"canal bend", "description":"a conspicuously curved or bent section of a canal" }}, {"code" : { "term":"H.CNLD", "title":"drainage canal", "description":"an artificial waterway carrying water away from a wetland or from drainage ditches" }}, {"code" : { "term":"H.CNLI", "title":"irrigation canal", "description":"a canal which serves as a main conduit for irrigation water" }}, {"code" : { "term":"H.CNLN", "title":"navigation canal(s)", "description":"a watercourse constructed for navigation of vessels" }}, {"code" : { "term":"H.CNLQ", "title":"abandoned canal" }}, {"code" : { "term":"H.CNLSB", "title":"underground irrigation canal(s)", "description":"a gently inclined underground tunnel bringing water for irrigation from aquifers" }}, {"code" : { "term":"H.CNLX", "title":"section of canal" }}, {"code" : { "term":"H.COVE", "title":"cove(s)", "description":"a small coastal indentation, smaller than a bay" }}, {"code" : { "term":"H.CRKT", "title":"tidal creek(s)", "description":"a meandering channel in a coastal wetland subject to bi-directional tidal currents" }}, {"code" : { "term":"H.CRNT", "title":"current", "description":"a horizontal flow of water in a given direction with uniform velocity" }}, {"code" : { "term":"H.CUTF", "title":"cutoff", "description":"a channel formed as a result of a stream cutting through a meander neck" }}, {"code" : { "term":"H.DCK", "title":"dock(s)", "description":"a waterway between two piers, or cut into the land for the berthing of ships" }}, {"code" : { "term":"H.DCKB", "title":"docking basin", "description":"a part of a harbor where ships dock" }}, {"code" : { "term":"H.DOMG", "title":"icecap dome", "description":"a comparatively elevated area on an icecap" }}, {"code" : { "term":"H.DPRG", "title":"icecap depression", "description":"a comparatively depressed area on an icecap" }}, {"code" : { "term":"H.DTCH", "title":"ditch", "description":"a small artificial watercourse dug for draining or irrigating the land" }}, {"code" : { "term":"H.DTCHD", "title":"drainage ditch", "description":"a ditch which serves to drain the land" }}, {"code" : { "term":"H.DTCHI", "title":"irrigation ditch", "description":"a ditch which serves to distribute irrigation water" }}, {"code" : { "term":"H.DTCHM", "title":"ditch mouth(s)", "description":"an area where a drainage ditch enters a lagoon, lake or bay" }}, {"code" : { "term":"H.ESTY", "title":"estuary", "description":"a funnel-shaped stream mouth or embayment where fresh water mixes with sea water under tidal influences" }}, {"code" : { "term":"H.FISH", "title":"fishing area", "description":"a fishing ground, bank or area where fishermen go to catch fish" }}, {"code" : { "term":"H.FJD", "title":"fjord", "description":"a long, narrow, steep-walled, deep-water arm of the sea at high latitudes, usually along mountainous coasts" }}, {"code" : { "term":"H.FJDS", "title":"fjords", "description":"long, narrow, steep-walled, deep-water arms of the sea at high latitudes, usually along mountainous coasts" }}, {"code" : { "term":"H.FLLS", "title":"waterfall(s)", "description":"a perpendicular or very steep descent of the water of a stream" }}, {"code" : { "term":"H.FLLSX", "title":"section of waterfall(s)" }}, {"code" : { "term":"H.FLTM", "title":"mud flat(s)", "description":"a relatively level area of mud either between high and low tide lines, or subject to flooding" }}, {"code" : { "term":"H.FLTT", "title":"tidal flat(s)", "description":"a large flat area of mud or sand attached to the shore and alternately covered and uncovered by the tide" }}, {"code" : { "term":"H.GLCR", "title":"glacier(s)", "description":"a mass of ice, usually at high latitudes or high elevations, with sufficient thickness to flow away from the source area in lobes, tongues, or masses" }}, {"code" : { "term":"H.GULF", "title":"gulf", "description":"a large recess in the coastline, larger than a bay" }}, {"code" : { "term":"H.GYSR", "title":"geyser", "description":"a type of hot spring with intermittent eruptions of jets of hot water and steam" }}, {"code" : { "term":"H.HBR", "title":"harbor(s)", "description":"a haven or space of deep water so sheltered by the adjacent land as to afford a safe anchorage for ships" }}, {"code" : { "term":"H.HBRX", "title":"section of harbor" }}, {"code" : { "term":"H.INLT", "title":"inlet", "description":"a narrow waterway extending into the land, or connecting a bay or lagoon with a larger body of water" }}, {"code" : { "term":"H.INLTQ", "title":"former inlet", "description":"an inlet which has been filled in, or blocked by deposits" }}, {"code" : { "term":"H.LBED", "title":"lake bed(s)", "description":"a dried up or drained area of a former lake" }}, {"code" : { "term":"H.LGN", "title":"lagoon", "description":"a shallow coastal waterbody, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature" }}, {"code" : { "term":"H.LGNS", "title":"lagoons", "description":"shallow coastal waterbodies, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature" }}, {"code" : { "term":"H.LGNX", "title":"section of lagoon" }}, {"code" : { "term":"H.LK", "title":"lake", "description":"a large inland body of standing water" }}, {"code" : { "term":"H.LKC", "title":"crater lake", "description":"a lake in a crater or caldera" }}, {"code" : { "term":"H.LKI", "title":"intermittent lake" }}, {"code" : { "term":"H.LKN", "title":"salt lake", "description":"an inland body of salt water with no outlet" }}, {"code" : { "term":"H.LKNI", "title":"intermittent salt lake" }}, {"code" : { "term":"H.LKO", "title":"oxbow lake", "description":"a crescent-shaped lake commonly found adjacent to meandering streams" }}, {"code" : { "term":"H.LKOI", "title":"intermittent oxbow lake" }}, {"code" : { "term":"H.LKS", "title":"lakes", "description":"large inland bodies of standing water" }}, {"code" : { "term":"H.LKSB", "title":"underground lake", "description":"a standing body of water in a cave" }}, {"code" : { "term":"H.LKSC", "title":"crater lakes", "description":"lakes in a crater or caldera" }}, {"code" : { "term":"H.LKSI", "title":"intermittent lakes" }}, {"code" : { "term":"H.LKSN", "title":"salt lakes", "description":"inland bodies of salt water with no outlet" }}, {"code" : { "term":"H.LKSNI", "title":"intermittent salt lakes" }}, {"code" : { "term":"H.LKX", "title":"section of lake" }}, {"code" : { "term":"H.MFGN", "title":"salt evaporation ponds", "description":"diked salt ponds used in the production of solar evaporated salt" }}, {"code" : { "term":"H.MGV", "title":"mangrove swamp", "description":"a tropical tidal mud flat characterized by mangrove vegetation" }}, {"code" : { "term":"H.MOOR", "title":"moor(s)", "description":"an area of open ground overlaid with wet peaty soils" }}, {"code" : { "term":"H.MRSH", "title":"marsh(es)", "description":"a wetland dominated by grass-like vegetation" }}, {"code" : { "term":"H.MRSHN", "title":"salt marsh", "description":"a flat area, subject to periodic salt water inundation, dominated by grassy salt-tolerant plants" }}, {"code" : { "term":"H.NRWS", "title":"narrows", "description":"a navigable narrow part of a bay, strait, river, etc." }}, {"code" : { "term":"H.OCN", "title":"ocean", "description":"one of the major divisions of the vast expanse of salt water covering part of the earth" }}, {"code" : { "term":"H.OVF", "title":"overfalls", "description":"an area of breaking waves caused by the meeting of currents or by waves moving against the current" }}, {"code" : { "term":"H.PND", "title":"pond", "description":"a small standing waterbody" }}, {"code" : { "term":"H.PNDI", "title":"intermittent pond" }}, {"code" : { "term":"H.PNDN", "title":"salt pond", "description":"a small standing body of salt water often in a marsh or swamp, usually along a seacoast" }}, {"code" : { "term":"H.PNDNI", "title":"intermittent salt pond(s)" }}, {"code" : { "term":"H.PNDS", "title":"ponds", "description":"small standing waterbodies" }}, {"code" : { "term":"H.PNDSF", "title":"fishponds", "description":"ponds or enclosures in which fish are kept or raised" }}, {"code" : { "term":"H.PNDSI", "title":"intermittent ponds" }}, {"code" : { "term":"H.PNDSN", "title":"salt ponds", "description":"small standing bodies of salt water often in a marsh or swamp, usually along a seacoast" }}, {"code" : { "term":"H.POOL", "title":"pool(s)", "description":"a small and comparatively still, deep part of a larger body of water such as a stream or harbor; or a small body of standing water" }}, {"code" : { "term":"H.POOLI", "title":"intermittent pool" }}, {"code" : { "term":"H.RCH", "title":"reach", "description":"a straight section of a navigable stream or channel between two bends" }}, {"code" : { "term":"H.RDGG", "title":"icecap ridge", "description":"a linear elevation on an icecap" }}, {"code" : { "term":"H.RDST", "title":"roadstead", "description":"an open anchorage affording less protection than a harbor" }}, {"code" : { "term":"H.RF", "title":"reef(s)", "description":"a surface-navigation hazard composed of consolidated material" }}, {"code" : { "term":"H.RFC", "title":"coral reef(s)", "description":"a surface-navigation hazard composed of coral" }}, {"code" : { "term":"H.RFX", "title":"section of reef" }}, {"code" : { "term":"H.RPDS", "title":"rapids", "description":"a turbulent section of a stream associated with a steep, irregular stream bed" }}, {"code" : { "term":"H.RSV", "title":"reservoir(s)", "description":"an artificial pond or lake" }}, {"code" : { "term":"H.RSVI", "title":"intermittent reservoir" }}, {"code" : { "term":"H.RSVT", "title":"water tank", "description":"a contained pool or tank of water at, below, or above ground level" }}, {"code" : { "term":"H.RVN", "title":"ravine(s)", "description":"a small, narrow, deep, steep-sided stream channel, smaller than a gorge" }}, {"code" : { "term":"H.SBKH", "title":"sabkha(s)", "description":"a salt flat or salt encrusted plain subject to periodic inundation from flooding or high tides" }}, {"code" : { "term":"H.SD", "title":"sound", "description":"a long arm of the sea forming a channel between the mainland and an island or islands; or connecting two larger bodies of water" }}, {"code" : { "term":"H.SEA", "title":"sea", "description":"a large body of salt water more or less confined by continuous land or chains of islands forming a subdivision of an ocean" }}, {"code" : { "term":"H.SHOL", "title":"shoal(s)", "description":"a surface-navigation hazard composed of unconsolidated material" }}, {"code" : { "term":"H.SILL", "title":"sill", "description":"the low part of an underwater gap or saddle separating basins, including a similar feature at the mouth of a fjord" }}, {"code" : { "term":"H.SPNG", "title":"spring(s)", "description":"a place where ground water flows naturally out of the ground" }}, {"code" : { "term":"H.SPNS", "title":"sulphur spring(s)", "description":"a place where sulphur ground water flows naturally out of the ground" }}, {"code" : { "term":"H.SPNT", "title":"hot spring(s)", "description":"a place where hot ground water flows naturally out of the ground" }}, {"code" : { "term":"H.STM", "title":"stream", "description":"a body of running water moving to a lower level in a channel on land" }}, {"code" : { "term":"H.STMA", "title":"anabranch", "description":"a diverging branch flowing out of a main stream and rejoining it downstream" }}, {"code" : { "term":"H.STMB", "title":"stream bend", "description":"a conspicuously curved or bent segment of a stream" }}, {"code" : { "term":"H.STMC", "title":"canalized stream", "description":"a stream that has been substantially ditched, diked, or straightened" }}, {"code" : { "term":"H.STMD", "title":"distributary(-ies)", "description":"a branch which flows away from the main stream, as in a delta or irrigation canal" }}, {"code" : { "term":"H.STMH", "title":"headwaters", "description":"the source and upper part of a stream, including the upper drainage basin" }}, {"code" : { "term":"H.STMI", "title":"intermittent stream" }}, {"code" : { "term":"H.STMIX", "title":"section of intermittent stream" }}, {"code" : { "term":"H.STMM", "title":"stream mouth(s)", "description":"a place where a stream discharges into a lagoon, lake, or the sea" }}, {"code" : { "term":"H.STMQ", "title":"abandoned watercourse", "description":"a former stream or distributary no longer carrying flowing water, but still evident due to lakes, wetland, topographic or vegetation patterns" }}, {"code" : { "term":"H.STMS", "title":"streams", "description":"bodies of running water moving to a lower level in a channel on land" }}, {"code" : { "term":"H.STMSB", "title":"lost river", "description":"a surface stream that disappears into an underground channel, or dries up in an arid area" }}, {"code" : { "term":"H.STMX", "title":"section of stream" }}, {"code" : { "term":"H.STRT", "title":"strait", "description":"a relatively narrow waterway, usually narrower and less extensive than a sound, connecting two larger bodies of water" }}, {"code" : { "term":"H.SWMP", "title":"swamp", "description":"a wetland dominated by tree vegetation" }}, {"code" : { "term":"H.SYSI", "title":"irrigation system", "description":"a network of ditches and one or more of the following elements: water supply, reservoir, canal, pump, well, drain, etc." }}, {"code" : { "term":"H.TNLC", "title":"canal tunnel", "description":"a tunnel through which a canal passes" }}, {"code" : { "term":"H.WAD", "title":"wadi", "description":"a valley or ravine, bounded by relatively steep banks, which in the rainy season becomes a watercourse; found primarily in north africa and the middle east" }}, {"code" : { "term":"H.WADB", "title":"wadi bend", "description":"a conspicuously curved or bent segment of a wadi" }}, {"code" : { "term":"H.WADJ", "title":"wadi junction", "description":"a place where two or more wadies join" }}, {"code" : { "term":"H.WADM", "title":"wadi mouth", "description":"the lower terminus of a wadi where it widens into an adjoining floodplain, depression, or waterbody" }}, {"code" : { "term":"H.WADS", "title":"wadies", "description":"valleys or ravines, bounded by relatively steep banks, which in the rainy season become watercourses; found primarily in north africa and the middle east" }}, {"code" : { "term":"H.WADX", "title":"section of wadi" }}, {"code" : { "term":"H.WHRL", "title":"whirlpool", "description":"a turbulent, rotating movement of water in a stream" }}, {"code" : { "term":"H.WLL", "title":"well", "description":"a cylindrical hole, pit, or tunnel drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface" }}, {"code" : { "term":"H.WLLQ", "title":"abandoned well" }}, {"code" : { "term":"H.WLLS", "title":"wells", "description":"cylindrical holes, pits, or tunnels drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface" }}, {"code" : { "term":"H.WTLD", "title":"wetland", "description":"an area subject to inundation, usually characterized by bog, marsh, or swamp vegetation" }}, {"code" : { "term":"H.WTLDI", "title":"intermittent wetland" }}, {"code" : { "term":"H.WTRC", "title":"watercourse", "description":"a natural, well-defined channel produced by flowing water, or an artificial channel designed to carry flowing water" }}, {"code" : { "term":"H.WTRH", "title":"waterhole(s)", "description":"a natural hole, hollow, or small depression that contains water, used by man and animals, especially in arid areas" }}, {"code" : { "term":"L.AGRC", "title":"agricultural colony", "description":"a tract of land set aside for agricultural settlement" }}, {"code" : { "term":"L.AMUS", "title":"amusement park", "description":"amusement park are theme parks, adventure parks offering entertainment, similar to funfairs but with a fix location" }}, {"code" : { "term":"L.AREA", "title":"area", "description":"a tract of land without homogeneous character or boundaries" }}, {"code" : { "term":"L.BSND", "title":"drainage basin", "description":"an area drained by a stream" }}, {"code" : { "term":"L.BSNP", "title":"petroleum basin", "description":"an area underlain by an oil-rich structural basin" }}, {"code" : { "term":"L.BTL", "title":"battlefield", "description":"a site of a land battle of historical importance" }}, {"code" : { "term":"L.CLG", "title":"clearing", "description":"an area in a forest with trees removed" }}, {"code" : { "term":"L.CMN", "title":"common", "description":"a park or pasture for community use" }}, {"code" : { "term":"L.CNS", "title":"concession area", "description":"a lease of land by a government for economic development, e.g., mining, forestry" }}, {"code" : { "term":"L.COLF", "title":"coalfield", "description":"a region in which coal deposits of possible economic value occur" }}, {"code" : { "term":"L.CONT", "title":"continent", "description":"continent : europe, africa, asia, north america, south america, oceania,antarctica" }}, {"code" : { "term":"L.CST", "title":"coast", "description":"a zone of variable width straddling the shoreline" }}, {"code" : { "term":"L.CTRB", "title":"business center", "description":"a place where a number of businesses are located" }}, {"code" : { "term":"L.DEVH", "title":"housing development", "description":"a tract of land on which many houses of similar design are built according to a development plan" }}, {"code" : { "term":"L.FLD", "title":"field(s)", "description":"an open as opposed to wooded area" }}, {"code" : { "term":"L.FLDI", "title":"irrigated field(s)", "description":"a tract of level or terraced land which is irrigated" }}, {"code" : { "term":"L.GASF", "title":"gasfield", "description":"an area containing a subterranean store of natural gas of economic value" }}, {"code" : { "term":"L.GRAZ", "title":"grazing area", "description":"an area of grasses and shrubs used for grazing" }}, {"code" : { "term":"L.GVL", "title":"gravel area", "description":"an area covered with gravel" }}, {"code" : { "term":"L.INDS", "title":"industrial area", "description":"an area characterized by industrial activity" }}, {"code" : { "term":"L.LAND", "title":"arctic land", "description":"a tract of land in the arctic" }}, {"code" : { "term":"L.LCTY", "title":"locality", "description":"a minor area or place of unspecified or mixed character and indefinite boundaries" }}, {"code" : { "term":"L.MILB", "title":"military base", "description":"a place used by an army or other armed service for storing arms and supplies, and for accommodating and training troops, a base from which operations can be initiated" }}, {"code" : { "term":"L.MNA", "title":"mining area", "description":"an area of mine sites where minerals and ores are extracted" }}, {"code" : { "term":"L.MVA", "title":"maneuver area", "description":"a tract of land where military field exercises are carried out" }}, {"code" : { "term":"L.NVB", "title":"naval base", "description":"an area used to store supplies, provide barracks for troops and naval personnel, a port for naval vessels, and from which operations are initiated" }}, {"code" : { "term":"L.OAS", "title":"oasis(-es)", "description":"an area in a desert made productive by the availability of water" }}, {"code" : { "term":"L.OILF", "title":"oilfield", "description":"an area containing a subterranean store of petroleum of economic value" }}, {"code" : { "term":"L.PEAT", "title":"peat cutting area", "description":"an area where peat is harvested" }}, {"code" : { "term":"L.PRK", "title":"park", "description":"an area, often of forested land, maintained as a place of beauty, or for recreation" }}, {"code" : { "term":"L.PRT", "title":"port", "description":"a place provided with terminal and transfer facilities for loading and discharging waterborne cargo or passengers, usually located in a harbor" }}, {"code" : { "term":"L.QCKS", "title":"quicksand", "description":"an area where loose sand with water moving through it may become unstable when heavy objects are placed at the surface, causing them to sink" }}, {"code" : { "term":"L.REP", "title":"republic" }}, {"code" : { "term":"L.RES", "title":"reserve", "description":"a tract of public land reserved for future use or restricted as to use" }}, {"code" : { "term":"L.RESA", "title":"agricultural reserve", "description":"a tract of land reserved for agricultural reclamation and/or development" }}, {"code" : { "term":"L.RESF", "title":"forest reserve", "description":"a forested area set aside for preservation or controlled use" }}, {"code" : { "term":"L.RESH", "title":"hunting reserve", "description":"a tract of land used primarily for hunting" }}, {"code" : { "term":"L.RESN", "title":"nature reserve", "description":"an area reserved for the maintenance of a natural habitat" }}, {"code" : { "term":"L.RESP", "title":"palm tree reserve", "description":"an area of palm trees where use is controlled" }}, {"code" : { "term":"L.RESV", "title":"reservation", "description":"a tract of land set aside for aboriginal, tribal, or native populations" }}, {"code" : { "term":"L.RESW", "title":"wildlife reserve", "description":"a tract of public land reserved for the preservation of wildlife" }}, {"code" : { "term":"L.RGN", "title":"region", "description":"an area distinguished by one or more observable physical or cultural characteristics" }}, {"code" : { "term":"L.RGNE", "title":"economic region", "description":"a region of a country established for economic development or for statistical purposes" }}, {"code" : { "term":"L.RGNL", "title":"lake region", "description":"a tract of land distinguished by numerous lakes" }}, {"code" : { "term":"L.RNGA", "title":"artillery range", "description":"a tract of land used for artillery firing practice" }}, {"code" : { "term":"L.SALT", "title":"salt area", "description":"a shallow basin or flat where salt accumulates after periodic inundation" }}, {"code" : { "term":"L.SNOW", "title":"snowfield", "description":"an area of permanent snow and ice forming the accumulation area of a glacier" }}, {"code" : { "term":"L.TRB", "title":"tribal area", "description":"a tract of land used by nomadic or other tribes" }}, {"code" : { "term":"L.ZZZZZ", "title":"master source holdings list" }}, {"code" : { "term":"P.PPL", "title":"populated place", "description":"a city, town, village, or other agglomeration of buildings where people live and work" }}, {"code" : { "term":"P.PPLA", "title":"seat of a first-order administrative division", "description":"seat of a first-order administrative division (pplc takes precedence over ppla)" }}, {"code" : { "term":"P.PPLA2", "title":"seat of a second-order administrative division" }}, {"code" : { "term":"P.PPLA3", "title":"seat of a third-order administrative division" }}, {"code" : { "term":"P.PPLA4", "title":"seat of a fourth-order administrative division" }}, {"code" : { "term":"P.PPLC", "title":"capital of a political entity" }}, {"code" : { "term":"P.PPLF", "title":"farm village", "description":"a populated place where the population is largely engaged in agricultural activities" }}, {"code" : { "term":"P.PPLG", "title":"seat of government of a political entity" }}, {"code" : { "term":"P.PPLL", "title":"populated locality", "description":"an area similar to a locality but with a small group of dwellings or other buildings" }}, {"code" : { "term":"P.PPLQ", "title":"abandoned populated place" }}, {"code" : { "term":"P.PPLR", "title":"religious populated place", "description":"a populated place whose population is largely engaged in religious occupations" }}, {"code" : { "term":"P.PPLS", "title":"populated places", "description":"cities, towns, villages, or other agglomerations of buildings where people live and work" }}, {"code" : { "term":"P.PPLW", "title":"destroyed populated place", "description":"a village, town or city destroyed by a natural disaster, or by war" }}, {"code" : { "term":"P.PPLX", "title":"section of populated place" }}, {"code" : { "term":"P.STLMT", "title":"israeli settlement" }}, {"code" : { "term":"R.CSWY", "title":"causeway", "description":"a raised roadway across wet ground or shallow water" }}, {"code" : { "term":"R.CSWYQ", "title":"former causeway", "description":"a causeway no longer used for transportation" }}, {"code" : { "term":"R.OILP", "title":"oil pipeline", "description":"a pipeline used for transporting oil" }}, {"code" : { "term":"R.PRMN", "title":"promenade", "description":"a place for public walking, usually along a beach front" }}, {"code" : { "term":"R.PTGE", "title":"portage", "description":"a place where boats, goods, etc., are carried overland between navigable waters" }}, {"code" : { "term":"R.RD", "title":"road", "description":"an open way with improved surface for transportation of animals, people and vehicles" }}, {"code" : { "term":"R.RDA", "title":"ancient road", "description":"the remains of a road used by ancient cultures" }}, {"code" : { "term":"R.RDB", "title":"road bend", "description":"a conspicuously curved or bent section of a road" }}, {"code" : { "term":"R.RDCUT", "title":"road cut", "description":"an excavation cut through a hill or ridge for a road" }}, {"code" : { "term":"R.RDJCT", "title":"road junction", "description":"a place where two or more roads join" }}, {"code" : { "term":"R.RJCT", "title":"railroad junction", "description":"a place where two or more railroad tracks join" }}, {"code" : { "term":"R.RR", "title":"railroad", "description":"a permanent twin steel-rail track on which freight and passenger cars move long distances" }}, {"code" : { "term":"R.RRQ", "title":"abandoned railroad" }}, {"code" : { "term":"R.RTE", "title":"caravan route", "description":"the route taken by caravans" }}, {"code" : { "term":"R.RYD", "title":"railroad yard", "description":"a system of tracks used for the making up of trains, and switching and storing freight cars" }}, {"code" : { "term":"R.ST", "title":"street", "description":"a paved urban thoroughfare" }}, {"code" : { "term":"R.STKR", "title":"stock route", "description":"a route taken by livestock herds" }}, {"code" : { "term":"R.TNL", "title":"tunnel", "description":"a subterranean passageway for transportation" }}, {"code" : { "term":"R.TNLN", "title":"natural tunnel", "description":"a cave that is open at both ends" }}, {"code" : { "term":"R.TNLRD", "title":"road tunnel", "description":"a tunnel through which a road passes" }}, {"code" : { "term":"R.TNLRR", "title":"railroad tunnel", "description":"a tunnel through which a railroad passes" }}, {"code" : { "term":"R.TNLS", "title":"tunnels", "description":"subterranean passageways for transportation" }}, {"code" : { "term":"R.TRL", "title":"trail", "description":"a path, track, or route used by pedestrians, animals, or off-road vehicles" }}, {"code" : { "term":"S.ADMF", "title":"administrative facility", "description":"a government building" }}, {"code" : { "term":"S.AGRF", "title":"agricultural facility", "description":"a building and/or tract of land used for improving agriculture" }}, {"code" : { "term":"S.AIRB", "title":"airbase", "description":"an area used to store supplies, provide barracks for air force personnel, hangars and runways for aircraft, and from which operations are initiated" }}, {"code" : { "term":"S.AIRF", "title":"airfield", "description":"a place on land where aircraft land and take off; no facilities provided for the commercial handling of passengers and cargo" }}, {"code" : { "term":"S.AIRH", "title":"heliport", "description":"a place where helicopters land and take off" }}, {"code" : { "term":"S.AIRP", "title":"airport", "description":"a place where aircraft regularly land and take off, with runways, navigational aids, and major facilities for the commercial handling of passengers and cargo" }}, {"code" : { "term":"S.AIRQ", "title":"abandoned airfield" }}, {"code" : { "term":"S.AMTH", "title":"amphitheater", "description":"an oval or circular structure with rising tiers of seats about a stage or open space" }}, {"code" : { "term":"S.ANS", "title":"ancient site", "description":"a place where archeological remains, old structures, or cultural artifacts are located" }}, {"code" : { "term":"S.AQC", "title":"aquaculture facility", "description":"facility or area for the cultivation of aquatic animals and plants, especially fish, shellfish, and seaweed, in natural or controlled marine or freshwater environments; underwater agriculture" }}, {"code" : { "term":"S.ARCH", "title":"arch", "description":"a natural or man-made structure in the form of an arch" }}, {"code" : { "term":"S.ASTR", "title":"astronomical station", "description":"a point on the earth whose position has been determined by observations of celestial bodies" }}, {"code" : { "term":"S.ASYL", "title":"asylum", "description":"a facility where the insane are cared for and protected" }}, {"code" : { "term":"S.ATHF", "title":"athletic field", "description":"a tract of land used for playing team sports, and athletic track and field events" }}, {"code" : { "term":"S.ATM", "title":"automatic teller machine", "description":"an unattended electronic machine in a public place, connected to a data system and related equipment and activated by a bank customer to obtain cash withdrawals and other banking services." }}, {"code" : { "term":"S.BANK", "title":"bank", "description":"a business establishment in which money is kept for saving or commercial purposes or is invested, supplied for loans, or exchanged." }}, {"code" : { "term":"S.BCN", "title":"beacon", "description":"a fixed artificial navigation mark" }}, {"code" : { "term":"S.BDG", "title":"bridge", "description":"a structure erected across an obstacle such as a stream, road, etc., in order to carry roads, railroads, and pedestrians across" }}, {"code" : { "term":"S.BDGQ", "title":"ruined bridge", "description":"a destroyed or decayed bridge which is no longer functional" }}, {"code" : { "term":"S.BLDG", "title":"building(s)", "description":"a structure built for permanent use, as a house, factory, etc." }}, {"code" : { "term":"S.BLDO", "title":"office building", "description":"commercial building where business and/or services are conducted" }}, {"code" : { "term":"S.BP", "title":"boundary marker", "description":"a fixture marking a point along a boundary" }}, {"code" : { "term":"S.BRKS", "title":"barracks", "description":"a building for lodging military personnel" }}, {"code" : { "term":"S.BRKW", "title":"breakwater", "description":"a structure erected to break the force of waves at the entrance to a harbor or port" }}, {"code" : { "term":"S.BSTN", "title":"baling station", "description":"a facility for baling agricultural products" }}, {"code" : { "term":"S.BTYD", "title":"boatyard", "description":"a waterside facility for servicing, repairing, and building small vessels" }}, {"code" : { "term":"S.BUR", "title":"burial cave(s)", "description":"a cave used for human burials" }}, {"code" : { "term":"S.BUSTN", "title":"bus station", "description":"a facility comprising ticket office, platforms, etc. for loading and unloading passengers" }}, {"code" : { "term":"S.BUSTP", "title":"bus stop", "description":"a place lacking station facilities" }}, {"code" : { "term":"S.CARN", "title":"cairn", "description":"a heap of stones erected as a landmark or for other purposes" }}, {"code" : { "term":"S.CAVE", "title":"cave(s)", "description":"an underground passageway or chamber, or cavity on the side of a cliff" }}, {"code" : { "term":"S.CCL", "title":"centre continuous learning", "description":"centres for continuous learning" }}, {"code" : { "term":"S.CH", "title":"church", "description":"a building for public christian worship" }}, {"code" : { "term":"S.CMP", "title":"camp(s)", "description":"a site occupied by tents, huts, or other shelters for temporary use" }}, {"code" : { "term":"S.CMPL", "title":"logging camp", "description":"a camp used by loggers" }}, {"code" : { "term":"S.CMPLA", "title":"labor camp", "description":"a camp used by migrant or temporary laborers" }}, {"code" : { "term":"S.CMPMN", "title":"mining camp", "description":"a camp used by miners" }}, {"code" : { "term":"S.CMPO", "title":"oil camp", "description":"a camp used by oilfield workers" }}, {"code" : { "term":"S.CMPQ", "title":"abandoned camp" }}, {"code" : { "term":"S.CMPRF", "title":"refugee camp", "description":"a camp used by refugees" }}, {"code" : { "term":"S.CMTY", "title":"cemetery", "description":"a burial place or ground" }}, {"code" : { "term":"S.COMC", "title":"communication center", "description":"a facility, including buildings, antennae, towers and electronic equipment for receiving and transmitting information" }}, {"code" : { "term":"S.CRRL", "title":"corral(s)", "description":"a pen or enclosure for confining or capturing animals" }}, {"code" : { "term":"S.CSNO", "title":"casino", "description":"a building used for entertainment, especially gambling" }}, {"code" : { "term":"S.CSTL", "title":"castle", "description":"a large fortified building or set of buildings" }}, {"code" : { "term":"S.CSTM", "title":"customs house", "description":"a building in a port where customs and duties are paid, and where vessels are entered and cleared" }}, {"code" : { "term":"S.CTHSE", "title":"courthouse", "description":"a building in which courts of law are held" }}, {"code" : { "term":"S.CTRA", "title":"atomic center", "description":"a facility where atomic research is carried out" }}, {"code" : { "term":"S.CTRCM", "title":"community center", "description":"a facility for community recreation and other activities" }}, {"code" : { "term":"S.CTRF", "title":"facility center", "description":"a place where more than one facility is situated" }}, {"code" : { "term":"S.CTRM", "title":"medical center", "description":"a complex of health care buildings including two or more of the following: hospital, medical school, clinic, pharmacy, doctor's offices, etc." }}, {"code" : { "term":"S.CTRR", "title":"religious center", "description":"a facility where more than one religious activity is carried out, e.g., retreat, school, monastery, worship" }}, {"code" : { "term":"S.CTRS", "title":"space center", "description":"a facility for launching, tracking, or controlling satellites and space vehicles" }}, {"code" : { "term":"S.CVNT", "title":"convent", "description":"a building where a community of nuns lives in seclusion" }}, {"code" : { "term":"S.DAM", "title":"dam", "description":"a barrier constructed across a stream to impound water" }}, {"code" : { "term":"S.DAMQ", "title":"ruined dam", "description":"a destroyed or decayed dam which is no longer functional" }}, {"code" : { "term":"S.DAMSB", "title":"sub-surface dam", "description":"a dam put down to bedrock in a sand river" }}, {"code" : { "term":"S.DARY", "title":"dairy", "description":"a facility for the processing, sale and distribution of milk or milk products" }}, {"code" : { "term":"S.DCKD", "title":"dry dock", "description":"a dock providing support for a vessel, and means for removing the water so that the bottom of the vessel can be exposed" }}, {"code" : { "term":"S.DCKY", "title":"dockyard", "description":"a facility for servicing, building, or repairing ships" }}, {"code" : { "term":"S.DIKE", "title":"dike", "description":"an earth or stone embankment usually constructed for flood or stream control" }}, {"code" : { "term":"S.DIP", "title":"diplomatic facility", "description":"office, residence, or facility of a foreign government, which may include an embassy, consulate, chancery, office of charge d?affaires, or other diplomatic, economic, military, or cultural mission" }}, {"code" : { "term":"S.DPOF", "title":"fuel depot", "description":"an area where fuel is stored" }}, {"code" : { "term":"S.EST", "title":"estate(s)", "description":"a large commercialized agricultural landholding with associated buildings and other facilities" }}, {"code" : { "term":"S.ESTB", "title":"banana plantation", "description":"an estate that specializes in the growing of bananas" }}, {"code" : { "term":"S.ESTC", "title":"cotton plantation", "description":"an estate specializing in the cultivation of cotton" }}, {"code" : { "term":"S.ESTO", "title":"oil palm plantation", "description":"an estate specializing in the cultivation of oil palm trees" }}, {"code" : { "term":"S.ESTR", "title":"rubber plantation", "description":"an estate which specializes in growing and tapping rubber trees" }}, {"code" : { "term":"S.ESTSG", "title":"sugar plantation", "description":"an estate that specializes in growing sugar cane" }}, {"code" : { "term":"S.ESTSL", "title":"sisal plantation", "description":"an estate that specializes in growing sisal" }}, {"code" : { "term":"S.ESTT", "title":"tea plantation", "description":"an estate which specializes in growing tea bushes" }}, {"code" : { "term":"S.ESTX", "title":"section of estate" }}, {"code" : { "term":"S.FCL", "title":"facility", "description":"a building or buildings housing a center, institute, foundation, hospital, prison, mission, courthouse, etc." }}, {"code" : { "term":"S.FNDY", "title":"foundry", "description":"a building or works where metal casting is carried out" }}, {"code" : { "term":"S.FRM", "title":"farm", "description":"a tract of land with associated buildings devoted to agriculture" }}, {"code" : { "term":"S.FRMQ", "title":"abandoned farm" }}, {"code" : { "term":"S.FRMS", "title":"farms", "description":"tracts of land with associated buildings devoted to agriculture" }}, {"code" : { "term":"S.FRMT", "title":"farmstead", "description":"the buildings and adjacent service areas of a farm" }}, {"code" : { "term":"S.FT", "title":"fort", "description":"a defensive structure or earthworks" }}, {"code" : { "term":"S.FY", "title":"ferry", "description":"a boat or other floating conveyance and terminal facilities regularly used to transport people and vehicles across a waterbody" }}, {"code" : { "term":"S.GATE", "title":"gate", "description":"a controlled access entrance or exit" }}, {"code" : { "term":"S.GDN", "title":"garden(s)", "description":"an enclosure for displaying selected plant or animal life" }}, {"code" : { "term":"S.GHAT", "title":"ghat", "description":"a set of steps leading to a river, which are of religious significance, and at their base is usually a platform for bathing" }}, {"code" : { "term":"S.GHSE", "title":"guest house", "description":"a house used to provide lodging for paying guests" }}, {"code" : { "term":"S.GOSP", "title":"gas-oil separator plant", "description":"a facility for separating gas from oil" }}, {"code" : { "term":"S.GOVL", "title":"local government office", "description":"a facility housing local governmental offices, usually a city, town, or village hall" }}, {"code" : { "term":"S.GRVE", "title":"grave", "description":"a burial site" }}, {"code" : { "term":"S.HERM", "title":"hermitage", "description":"a secluded residence, usually for religious sects" }}, {"code" : { "term":"S.HLT", "title":"halting place", "description":"a place where caravans stop for rest" }}, {"code" : { "term":"S.HSE", "title":"house(s)", "description":"a building used as a human habitation" }}, {"code" : { "term":"S.HSEC", "title":"country house", "description":"a large house, mansion, or chateau, on a large estate" }}, {"code" : { "term":"S.HSP", "title":"hospital", "description":"a building in which sick or injured, especially those confined to bed, are medically treated" }}, {"code" : { "term":"S.HSPC", "title":"clinic", "description":"a medical facility associated with a hospital for outpatients" }}, {"code" : { "term":"S.HSPD", "title":"dispensary", "description":"a building where medical or dental aid is dispensed" }}, {"code" : { "term":"S.HSPL", "title":"leprosarium", "description":"an asylum or hospital for lepers" }}, {"code" : { "term":"S.HSTS", "title":"historical site", "description":"a place of historical importance" }}, {"code" : { "term":"S.HTL", "title":"hotel", "description":"a building providing lodging and/or meals for the public" }}, {"code" : { "term":"S.HUT", "title":"hut", "description":"a small primitive house" }}, {"code" : { "term":"S.HUTS", "title":"huts", "description":"small primitive houses" }}, {"code" : { "term":"S.INSM", "title":"military installation", "description":"a facility for use of and control by armed forces" }}, {"code" : { "term":"S.ITTR", "title":"research institute", "description":"a facility where research is carried out" }}, {"code" : { "term":"S.JTY", "title":"jetty", "description":"a structure built out into the water at a river mouth or harbor entrance to regulate currents and silting" }}, {"code" : { "term":"S.LDNG", "title":"landing", "description":"a place where boats receive or discharge passengers and freight, but lacking most port facilities" }}, {"code" : { "term":"S.LEPC", "title":"leper colony", "description":"a settled area inhabited by lepers in relative isolation" }}, {"code" : { "term":"S.LIBR", "title":"library", "description":"a place in which information resources such as books are kept for reading, reference, or lending." }}, {"code" : { "term":"S.LNDF", "title":"landfill", "description":"a place for trash and garbage disposal in which the waste is buried between layers of earth to build up low-lying land" }}, {"code" : { "term":"S.LOCK", "title":"lock(s)", "description":"a basin in a waterway with gates at each end by means of which vessels are passed from one water level to another" }}, {"code" : { "term":"S.LTHSE", "title":"lighthouse", "description":"a distinctive structure exhibiting a major navigation light" }}, {"code" : { "term":"S.MALL", "title":"mall", "description":"a large, often enclosed shopping complex containing various stores, businesses, and restaurants usually accessible by common passageways." }}, {"code" : { "term":"S.MAR", "title":"marina", "description":"a harbor facility for small boats, yachts, etc." }}, {"code" : { "term":"S.MFG", "title":"factory", "description":"one or more buildings where goods are manufactured, processed or fabricated" }}, {"code" : { "term":"S.MFGB", "title":"brewery", "description":"one or more buildings where beer is brewed" }}, {"code" : { "term":"S.MFGC", "title":"cannery", "description":"a building where food items are canned" }}, {"code" : { "term":"S.MFGCU", "title":"copper works", "description":"a facility for processing copper ore" }}, {"code" : { "term":"S.MFGLM", "title":"limekiln", "description":"a furnace in which limestone is reduced to lime" }}, {"code" : { "term":"S.MFGM", "title":"munitions plant", "description":"a factory where ammunition is made" }}, {"code" : { "term":"S.MFGPH", "title":"phosphate works", "description":"a facility for producing fertilizer" }}, {"code" : { "term":"S.MFGQ", "title":"abandoned factory" }}, {"code" : { "term":"S.MFGSG", "title":"sugar refinery", "description":"a facility for converting raw sugar into refined sugar" }}, {"code" : { "term":"S.MKT", "title":"market", "description":"a place where goods are bought and sold at regular intervals" }}, {"code" : { "term":"S.ML", "title":"mill(s)", "description":"a building housing machines for transforming, shaping, finishing, grinding, or extracting products" }}, {"code" : { "term":"S.MLM", "title":"ore treatment plant", "description":"a facility for improving the metal content of ore by concentration" }}, {"code" : { "term":"S.MLO", "title":"olive oil mill", "description":"a mill where oil is extracted from olives" }}, {"code" : { "term":"S.MLSG", "title":"sugar mill", "description":"a facility where sugar cane is processed into raw sugar" }}, {"code" : { "term":"S.MLSGQ", "title":"former sugar mill", "description":"a sugar mill no longer used as a sugar mill" }}, {"code" : { "term":"S.MLSW", "title":"sawmill", "description":"a mill where logs or lumber are sawn to specified shapes and sizes" }}, {"code" : { "term":"S.MLWND", "title":"windmill", "description":"a mill or water pump powered by wind" }}, {"code" : { "term":"S.MLWTR", "title":"water mill", "description":"a mill powered by running water" }}, {"code" : { "term":"S.MN", "title":"mine(s)", "description":"a site where mineral ores are extracted from the ground by excavating surface pits and subterranean passages" }}, {"code" : { "term":"S.MNAU", "title":"gold mine(s)", "description":"a mine where gold ore, or alluvial gold is extracted" }}, {"code" : { "term":"S.MNC", "title":"coal mine(s)", "description":"a mine where coal is extracted" }}, {"code" : { "term":"S.MNCR", "title":"chrome mine(s)", "description":"a mine where chrome ore is extracted" }}, {"code" : { "term":"S.MNCU", "title":"copper mine(s)", "description":"a mine where copper ore is extracted" }}, {"code" : { "term":"S.MNDT", "title":"diatomite mine(s)", "description":"a place where diatomaceous earth is extracted" }}, {"code" : { "term":"S.MNFE", "title":"iron mine(s)", "description":"a mine where iron ore is extracted" }}, {"code" : { "term":"S.MNMT", "title":"monument", "description":"a commemorative structure or statue" }}, {"code" : { "term":"S.MNN", "title":"salt mine(s)", "description":"a mine from which salt is extracted" }}, {"code" : { "term":"S.MNNI", "title":"nickel mine(s)", "description":"a mine where nickel ore is extracted" }}, {"code" : { "term":"S.MNPB", "title":"lead mine(s)", "description":"a mine where lead ore is extracted" }}, {"code" : { "term":"S.MNPL", "title":"placer mine(s)", "description":"a place where heavy metals are concentrated and running water is used to extract them from unconsolidated sediments" }}, {"code" : { "term":"S.MNQ", "title":"abandoned mine" }}, {"code" : { "term":"S.MNQR", "title":"quarry(-ies)", "description":"a surface mine where building stone or gravel and sand, etc. are extracted" }}, {"code" : { "term":"S.MNSN", "title":"tin mine(s)", "description":"a mine where tin ore is extracted" }}, {"code" : { "term":"S.MOLE", "title":"mole", "description":"a massive structure of masonry or large stones serving as a pier or breakwater" }}, {"code" : { "term":"S.MSQE", "title":"mosque", "description":"a building for public islamic worship" }}, {"code" : { "term":"S.MSSN", "title":"mission", "description":"a place characterized by dwellings, school, church, hospital and other facilities operated by a religious group for the purpose of providing charitable services and to propagate religion" }}, {"code" : { "term":"S.MSSNQ", "title":"abandoned mission" }}, {"code" : { "term":"S.MSTY", "title":"monastery", "description":"a building and grounds where a community of monks lives in seclusion" }}, {"code" : { "term":"S.MTRO", "title":"metro station", "description":"metro station (underground, tube, or métro)" }}, {"code" : { "term":"S.MUS", "title":"museum", "description":"a building where objects of permanent interest in one or more of the arts and sciences are preserved and exhibited" }}, {"code" : { "term":"S.NOV", "title":"novitiate", "description":"a religious house or school where novices are trained" }}, {"code" : { "term":"S.NSY", "title":"nursery(-ies)", "description":"a place where plants are propagated for transplanting or grafting" }}, {"code" : { "term":"S.OBPT", "title":"observation point", "description":"a wildlife or scenic observation point" }}, {"code" : { "term":"S.OBS", "title":"observatory", "description":"a facility equipped for observation of atmospheric or space phenomena" }}, {"code" : { "term":"S.OBSR", "title":"radio observatory", "description":"a facility equipped with an array of antennae for receiving radio waves from space" }}, {"code" : { "term":"S.OILJ", "title":"oil pipeline junction", "description":"a section of an oil pipeline where two or more pipes join together" }}, {"code" : { "term":"S.OILQ", "title":"abandoned oil well" }}, {"code" : { "term":"S.OILR", "title":"oil refinery", "description":"a facility for converting crude oil into refined petroleum products" }}, {"code" : { "term":"S.OILT", "title":"tank farm", "description":"a tract of land occupied by large, cylindrical, metal tanks in which oil or liquid petrochemicals are stored" }}, {"code" : { "term":"S.OILW", "title":"oil well", "description":"a well from which oil may be pumped" }}, {"code" : { "term":"S.OPRA", "title":"opera house", "description":"a theater designed chiefly for the performance of operas." }}, {"code" : { "term":"S.PAL", "title":"palace", "description":"a large stately house, often a royal or presidential residence" }}, {"code" : { "term":"S.PGDA", "title":"pagoda", "description":"a tower-like storied structure, usually a buddhist shrine" }}, {"code" : { "term":"S.PIER", "title":"pier", "description":"a structure built out into navigable water on piles providing berthing for ships and recreation" }}, {"code" : { "term":"S.PKLT", "title":"parking lot", "description":"an area used for parking vehicles" }}, {"code" : { "term":"S.PMPO", "title":"oil pumping station", "description":"a facility for pumping oil through a pipeline" }}, {"code" : { "term":"S.PMPW", "title":"water pumping station", "description":"a facility for pumping water from a major well or through a pipeline" }}, {"code" : { "term":"S.PO", "title":"post office", "description":"a public building in which mail is received, sorted and distributed" }}, {"code" : { "term":"S.PP", "title":"police post", "description":"a building in which police are stationed" }}, {"code" : { "term":"S.PPQ", "title":"abandoned police post" }}, {"code" : { "term":"S.PRKGT", "title":"park gate", "description":"a controlled access to a park" }}, {"code" : { "term":"S.PRKHQ", "title":"park headquarters", "description":"a park administrative facility" }}, {"code" : { "term":"S.PRN", "title":"prison", "description":"a facility for confining prisoners" }}, {"code" : { "term":"S.PRNJ", "title":"reformatory", "description":"a facility for confining, training, and reforming young law offenders" }}, {"code" : { "term":"S.PRNQ", "title":"abandoned prison" }}, {"code" : { "term":"S.PS", "title":"power station", "description":"a facility for generating electric power" }}, {"code" : { "term":"S.PSH", "title":"hydroelectric power station", "description":"a building where electricity is generated from water power" }}, {"code" : { "term":"S.PSTB", "title":"border post", "description":"a post or station at an international boundary for the regulation of movement of people and goods" }}, {"code" : { "term":"S.PSTC", "title":"customs post", "description":"a building at an international boundary where customs and duties are paid on goods" }}, {"code" : { "term":"S.PSTP", "title":"patrol post", "description":"a post from which patrols are sent out" }}, {"code" : { "term":"S.PYR", "title":"pyramid", "description":"an ancient massive structure of square ground plan with four triangular faces meeting at a point and used for enclosing tombs" }}, {"code" : { "term":"S.PYRS", "title":"pyramids", "description":"ancient massive structures of square ground plan with four triangular faces meeting at a point and used for enclosing tombs" }}, {"code" : { "term":"S.QUAY", "title":"quay", "description":"a structure of solid construction along a shore or bank which provides berthing for ships and which generally provides cargo handling facilities" }}, {"code" : { "term":"S.RDCR", "title":"traffic circle", "description":"a road junction formed around a central circle about which traffic moves in one direction only" }}, {"code" : { "term":"S.RECG", "title":"golf course", "description":"a recreation field where golf is played" }}, {"code" : { "term":"S.RECR", "title":"racetrack", "description":"a track where races are held" }}, {"code" : { "term":"S.REST", "title":"restaurant", "description":"a place where meals are served to the public" }}, {"code" : { "term":"S.RET", "title":"store", "description":"a building where goods and/or services are offered for sale" }}, {"code" : { "term":"S.RHSE", "title":"resthouse", "description":"a structure maintained for the rest and shelter of travelers" }}, {"code" : { "term":"S.RKRY", "title":"rookery", "description":"a breeding place of a colony of birds or seals" }}, {"code" : { "term":"S.RLG", "title":"religious site", "description":"an ancient site of significant religious importance" }}, {"code" : { "term":"S.RLGR", "title":"retreat", "description":"a place of temporary seclusion, especially for religious groups" }}, {"code" : { "term":"S.RNCH", "title":"ranch(es)", "description":"a large farm specializing in extensive grazing of livestock" }}, {"code" : { "term":"S.RSD", "title":"railroad siding", "description":"a short track parallel to and joining the main track" }}, {"code" : { "term":"S.RSGNL", "title":"railroad signal", "description":"a signal at the entrance of a particular section of track governing the movement of trains" }}, {"code" : { "term":"S.RSRT", "title":"resort", "description":"a specialized facility for vacation, health, or participation sports activities" }}, {"code" : { "term":"S.RSTN", "title":"railroad station", "description":"a facility comprising ticket office, platforms, etc. for loading and unloading train passengers and freight" }}, {"code" : { "term":"S.RSTNQ", "title":"abandoned railroad station" }}, {"code" : { "term":"S.RSTP", "title":"railroad stop", "description":"a place lacking station facilities where trains stop to pick up and unload passengers and freight" }}, {"code" : { "term":"S.RSTPQ", "title":"abandoned railroad stop" }}, {"code" : { "term":"S.RUIN", "title":"ruin(s)", "description":"a destroyed or decayed structure which is no longer functional" }}, {"code" : { "term":"S.SCH", "title":"school", "description":"building(s) where instruction in one or more branches of knowledge takes place" }}, {"code" : { "term":"S.SCHA", "title":"agricultural school", "description":"a school with a curriculum focused on agriculture" }}, {"code" : { "term":"S.SCHC", "title":"college", "description":"the grounds and buildings of an institution of higher learning" }}, {"code" : { "term":"S.SCHD", "title":"driving school", "description":"driving school" }}, {"code" : { "term":"S.SCHL", "title":"language school", "description":"language schools & institutions" }}, {"code" : { "term":"S.SCHM", "title":"military school", "description":"a school at which military science forms the core of the curriculum" }}, {"code" : { "term":"S.SCHN", "title":"maritime school", "description":"a school at which maritime sciences form the core of the curriculum" }}, {"code" : { "term":"S.SCHT", "title":"technical school", "description":"post-secondary school with a specifically technical or vocational curriculum" }}, {"code" : { "term":"S.SECP", "title":"state exam prep centre", "description":"state exam preparation centres" }}, {"code" : { "term":"S.SHPF", "title":"sheepfold", "description":"a fence or wall enclosure for sheep and other small herd animals" }}, {"code" : { "term":"S.SHRN", "title":"shrine", "description":"a structure or place memorializing a person or religious concept" }}, {"code" : { "term":"S.SHSE", "title":"storehouse", "description":"a building for storing goods, especially provisions" }}, {"code" : { "term":"S.SLCE", "title":"sluice", "description":"a conduit or passage for carrying off surplus water from a waterbody, usually regulated by means of a sluice gate" }}, {"code" : { "term":"S.SNTR", "title":"sanatorium", "description":"a facility where victims of physical or mental disorders are treated" }}, {"code" : { "term":"S.SPA", "title":"spa", "description":"a resort area usually developed around a medicinal spring" }}, {"code" : { "term":"S.SPLY", "title":"spillway", "description":"a passage or outlet through which surplus water flows over, around or through a dam" }}, {"code" : { "term":"S.SQR", "title":"square", "description":"a broad, open, public area near the center of a town or city" }}, {"code" : { "term":"S.STBL", "title":"stable", "description":"a building for the shelter and feeding of farm animals, especially horses" }}, {"code" : { "term":"S.STDM", "title":"stadium", "description":"a structure with an enclosure for athletic games with tiers of seats for spectators" }}, {"code" : { "term":"S.STNB", "title":"scientific research base", "description":"a scientific facility used as a base from which research is carried out or monitored" }}, {"code" : { "term":"S.STNC", "title":"coast guard station", "description":"a facility from which the coast is guarded by armed vessels" }}, {"code" : { "term":"S.STNE", "title":"experiment station", "description":"a facility for carrying out experiments" }}, {"code" : { "term":"S.STNF", "title":"forest station", "description":"a collection of buildings and facilities for carrying out forest management" }}, {"code" : { "term":"S.STNI", "title":"inspection station", "description":"a station at which vehicles, goods, and people are inspected" }}, {"code" : { "term":"S.STNM", "title":"meteorological station", "description":"a station at which weather elements are recorded" }}, {"code" : { "term":"S.STNR", "title":"radio station", "description":"a facility for producing and transmitting information by radio waves" }}, {"code" : { "term":"S.STNS", "title":"satellite station", "description":"a facility for tracking and communicating with orbiting satellites" }}, {"code" : { "term":"S.STNW", "title":"whaling station", "description":"a facility for butchering whales and processing train oil" }}, {"code" : { "term":"S.STPS", "title":"steps", "description":"stones or slabs placed for ease in ascending or descending a steep slope" }}, {"code" : { "term":"S.SWT", "title":"sewage treatment plant", "description":"facility for the processing of sewage and/or wastewater" }}, {"code" : { "term":"S.THTR", "title":"theater", "description":"a building, room, or outdoor structure for the presentation of plays, films, or other dramatic performances" }}, {"code" : { "term":"S.TMB", "title":"tomb(s)", "description":"a structure for interring bodies" }}, {"code" : { "term":"S.TMPL", "title":"temple(s)", "description":"an edifice dedicated to religious worship" }}, {"code" : { "term":"S.TNKD", "title":"cattle dipping tank", "description":"a small artificial pond used for immersing cattle in chemically treated water for disease control" }}, {"code" : { "term":"S.TOWR", "title":"tower", "description":"a high conspicuous structure, typically much higher than its diameter" }}, {"code" : { "term":"S.TRANT", "title":"transit terminal", "description":"facilities for the handling of vehicular freight and passengers" }}, {"code" : { "term":"S.TRIG", "title":"triangulation station", "description":"a point on the earth whose position has been determined by triangulation" }}, {"code" : { "term":"S.TRMO", "title":"oil pipeline terminal", "description":"a tank farm or loading facility at the end of an oil pipeline" }}, {"code" : { "term":"S.TWO", "title":"temp work office", "description":"temporary work offices" }}, {"code" : { "term":"S.UNIO", "title":"postgrad & mba", "description":"post universitary education institutes (post graduate studies and highly specialised master programs) & mba" }}, {"code" : { "term":"S.UNIP", "title":"university prep school", "description":"university preparation schools & institutions" }}, {"code" : { "term":"S.UNIV", "title":"university", "description":"an institution for higher learning with teaching and research facilities constituting a graduate school and professional schools that award master's degrees and doctorates and an undergraduate division that awards bachelor's degrees." }}, {"code" : { "term":"S.USGE", "title":"united states government establishment", "description":"a facility operated by the united states government in panama" }}, {"code" : { "term":"S.VETF", "title":"veterinary facility", "description":"a building or camp at which veterinary services are available" }}, {"code" : { "term":"S.WALL", "title":"wall", "description":"a thick masonry structure, usually enclosing a field or building, or forming the side of a structure" }}, {"code" : { "term":"S.WALLA", "title":"ancient wall", "description":"the remains of a linear defensive stone structure" }}, {"code" : { "term":"S.WEIR", "title":"weir(s)", "description":"a small dam in a stream, designed to raise the water level or to divert stream flow through a desired channel" }}, {"code" : { "term":"S.WHRF", "title":"wharf(-ves)", "description":"a structure of open rather than solid construction along a shore or a bank which provides berthing for ships and cargo-handling facilities" }}, {"code" : { "term":"S.WRCK", "title":"wreck", "description":"the site of the remains of a wrecked vessel" }}, {"code" : { "term":"S.WTRW", "title":"waterworks", "description":"a facility for supplying potable water through a water source and a system of pumps and filtration beds" }}, {"code" : { "term":"S.ZNF", "title":"free trade zone", "description":"an area, usually a section of a port, where goods may be received and shipped free of customs duty and of most customs regulations" }}, {"code" : { "term":"S.ZOO", "title":"zoo", "description":"a zoological garden or park where wild animals are kept for exhibition" }}, {"code" : { "term":"T.ASPH", "title":"asphalt lake", "description":"a small basin containing naturally occurring asphalt" }}, {"code" : { "term":"T.ATOL", "title":"atoll(s)", "description":"a ring-shaped coral reef which has closely spaced islands on it encircling a lagoon" }}, {"code" : { "term":"T.BAR", "title":"bar", "description":"a shallow ridge or mound of coarse unconsolidated material in a stream channel, at the mouth of a stream, estuary, or lagoon and in the wave-break zone along coasts" }}, {"code" : { "term":"T.BCH", "title":"beach", "description":"a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves" }}, {"code" : { "term":"T.BCHS", "title":"beaches", "description":"a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves" }}, {"code" : { "term":"T.BDLD", "title":"badlands", "description":"an area characterized by a maze of very closely spaced, deep, narrow, steep-sided ravines, and sharp crests and pinnacles" }}, {"code" : { "term":"T.BLDR", "title":"boulder field", "description":"a high altitude or high latitude bare, flat area covered with large angular rocks" }}, {"code" : { "term":"T.BLHL", "title":"blowhole(s)", "description":"a hole in coastal rock through which sea water is forced by a rising tide or waves and spurted through an outlet into the air" }}, {"code" : { "term":"T.BLOW", "title":"blowout(s)", "description":"a small depression in sandy terrain, caused by wind erosion" }}, {"code" : { "term":"T.BNCH", "title":"bench", "description":"a long, narrow bedrock platform bounded by steeper slopes above and below, usually overlooking a waterbody" }}, {"code" : { "term":"T.BUTE", "title":"butte(s)", "description":"a small, isolated, usually flat-topped hill with steep sides" }}, {"code" : { "term":"T.CAPE", "title":"cape", "description":"a land area, more prominent than a point, projecting into the sea and marking a notable change in coastal direction" }}, {"code" : { "term":"T.CFT", "title":"cleft(s)", "description":"a deep narrow slot, notch, or groove in a coastal cliff" }}, {"code" : { "term":"T.CLDA", "title":"caldera", "description":"a depression measuring kilometers across formed by the collapse of a volcanic mountain" }}, {"code" : { "term":"T.CLF", "title":"cliff(s)", "description":"a high, steep to perpendicular slope overlooking a waterbody or lower area" }}, {"code" : { "term":"T.CNYN", "title":"canyon", "description":"a deep, narrow valley with steep sides cutting into a plateau or mountainous area" }}, {"code" : { "term":"T.CONE", "title":"cone(s)", "description":"a conical landform composed of mud or volcanic material" }}, {"code" : { "term":"T.CRDR", "title":"corridor", "description":"a strip or area of land having significance as an access way" }}, {"code" : { "term":"T.CRQ", "title":"cirque", "description":"a bowl-like hollow partially surrounded by cliffs or steep slopes at the head of a glaciated valley" }}, {"code" : { "term":"T.CRQS", "title":"cirques", "description":"bowl-like hollows partially surrounded by cliffs or steep slopes at the head of a glaciated valley" }}, {"code" : { "term":"T.CRTR", "title":"crater(s)", "description":"a generally circular saucer or bowl-shaped depression caused by volcanic or meteorite explosive action" }}, {"code" : { "term":"T.CUET", "title":"cuesta(s)", "description":"an asymmetric ridge formed on tilted strata" }}, {"code" : { "term":"T.DLTA", "title":"delta", "description":"a flat plain formed by alluvial deposits at the mouth of a stream" }}, {"code" : { "term":"T.DPR", "title":"depression(s)", "description":"a low area surrounded by higher land and usually characterized by interior drainage" }}, {"code" : { "term":"T.DSRT", "title":"desert", "description":"a large area with little or no vegetation due to extreme environmental conditions" }}, {"code" : { "term":"T.DUNE", "title":"dune(s)", "description":"a wave form, ridge or star shape feature composed of sand" }}, {"code" : { "term":"T.DVD", "title":"divide", "description":"a line separating adjacent drainage basins" }}, {"code" : { "term":"T.ERG", "title":"sandy desert", "description":"an extensive tract of shifting sand and sand dunes" }}, {"code" : { "term":"T.FAN", "title":"fan(s)", "description":"a fan-shaped wedge of coarse alluvium with apex merging with a mountain stream bed and the fan spreading out at a low angle slope onto an adjacent plain" }}, {"code" : { "term":"T.FORD", "title":"ford", "description":"a shallow part of a stream which can be crossed on foot or by land vehicle" }}, {"code" : { "term":"T.FSR", "title":"fissure", "description":"a crack associated with volcanism" }}, {"code" : { "term":"T.GAP", "title":"gap", "description":"a low place in a ridge, not used for transportation" }}, {"code" : { "term":"T.GRGE", "title":"gorge(s)", "description":"a short, narrow, steep-sided section of a stream valley" }}, {"code" : { "term":"T.HDLD", "title":"headland", "description":"a high projection of land extending into a large body of water beyond the line of the coast" }}, {"code" : { "term":"T.HLL", "title":"hill", "description":"a rounded elevation of limited extent rising above the surrounding land with local relief of less than 300m" }}, {"code" : { "term":"T.HLLS", "title":"hills", "description":"rounded elevations of limited extent rising above the surrounding land with local relief of less than 300m" }}, {"code" : { "term":"T.HMCK", "title":"hammock(s)", "description":"a patch of ground, distinct from and slightly above the surrounding plain or wetland. often occurs in groups" }}, {"code" : { "term":"T.HMDA", "title":"rock desert", "description":"a relatively sand-free, high bedrock plateau in a hot desert, with or without a gravel veneer" }}, {"code" : { "term":"T.INTF", "title":"interfluve", "description":"a relatively undissected upland between adjacent stream valleys" }}, {"code" : { "term":"T.ISL", "title":"island", "description":"a tract of land, smaller than a continent, surrounded by water at high water" }}, {"code" : { "term":"T.ISLET", "title":"islet", "description":"small island, bigger than rock, smaller than island." }}, {"code" : { "term":"T.ISLF", "title":"artificial island", "description":"an island created by landfill or diking and filling in a wetland, bay, or lagoon" }}, {"code" : { "term":"T.ISLM", "title":"mangrove island", "description":"a mangrove swamp surrounded by a waterbody" }}, {"code" : { "term":"T.ISLS", "title":"islands", "description":"tracts of land, smaller than a continent, surrounded by water at high water" }}, {"code" : { "term":"T.ISLT", "title":"land-tied island", "description":"a coastal island connected to the mainland by barrier beaches, levees or dikes" }}, {"code" : { "term":"T.ISLX", "title":"section of island" }}, {"code" : { "term":"T.ISTH", "title":"isthmus", "description":"a narrow strip of land connecting two larger land masses and bordered by water" }}, {"code" : { "term":"T.KRST", "title":"karst area", "description":"a distinctive landscape developed on soluble rock such as limestone characterized by sinkholes, caves, disappearing streams, and underground drainage" }}, {"code" : { "term":"T.LAVA", "title":"lava area", "description":"an area of solidified lava" }}, {"code" : { "term":"T.LEV", "title":"levee", "description":"a natural low embankment bordering a distributary or meandering stream; often built up artificially to control floods" }}, {"code" : { "term":"T.MESA", "title":"mesa(s)", "description":"a flat-topped, isolated elevation with steep slopes on all sides, less extensive than a plateau" }}, {"code" : { "term":"T.MND", "title":"mound(s)", "description":"a low, isolated, rounded hill" }}, {"code" : { "term":"T.MRN", "title":"moraine", "description":"a mound, ridge, or other accumulation of glacial till" }}, {"code" : { "term":"T.MT", "title":"mountain", "description":"an elevation standing high above the surrounding area with small summit area, steep slopes and local relief of 300m or more" }}, {"code" : { "term":"T.MTS", "title":"mountains", "description":"a mountain range or a group of mountains or high ridges" }}, {"code" : { "term":"T.NKM", "title":"meander neck", "description":"a narrow strip of land between the two limbs of a meander loop at its narrowest point" }}, {"code" : { "term":"T.NTK", "title":"nunatak", "description":"a rock or mountain peak protruding through glacial ice" }}, {"code" : { "term":"T.NTKS", "title":"nunataks", "description":"rocks or mountain peaks protruding through glacial ice" }}, {"code" : { "term":"T.PAN", "title":"pan", "description":"a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool" }}, {"code" : { "term":"T.PANS", "title":"pans", "description":"a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool" }}, {"code" : { "term":"T.PASS", "title":"pass", "description":"a break in a mountain range or other high obstruction, used for transportation from one side to the other [see also gap]" }}, {"code" : { "term":"T.PEN", "title":"peninsula", "description":"an elongate area of land projecting into a body of water and nearly surrounded by water" }}, {"code" : { "term":"T.PENX", "title":"section of peninsula" }}, {"code" : { "term":"T.PK", "title":"peak", "description":"a pointed elevation atop a mountain, ridge, or other hypsographic feature" }}, {"code" : { "term":"T.PKS", "title":"peaks", "description":"pointed elevations atop a mountain, ridge, or other hypsographic features" }}, {"code" : { "term":"T.PLAT", "title":"plateau", "description":"an elevated plain with steep slopes on one or more sides, and often with incised streams" }}, {"code" : { "term":"T.PLATX", "title":"section of plateau" }}, {"code" : { "term":"T.PLDR", "title":"polder", "description":"an area reclaimed from the sea by diking and draining" }}, {"code" : { "term":"T.PLN", "title":"plain(s)", "description":"an extensive area of comparatively level to gently undulating land, lacking surface irregularities, and usually adjacent to a higher area" }}, {"code" : { "term":"T.PLNX", "title":"section of plain" }}, {"code" : { "term":"T.PROM", "title":"promontory(-ies)", "description":"a bluff or prominent hill overlooking or projecting into a lowland" }}, {"code" : { "term":"T.PT", "title":"point", "description":"a tapering piece of land projecting into a body of water, less prominent than a cape" }}, {"code" : { "term":"T.PTS", "title":"points", "description":"tapering pieces of land projecting into a body of water, less prominent than a cape" }}, {"code" : { "term":"T.RDGB", "title":"beach ridge", "description":"a ridge of sand just inland and parallel to the beach, usually in series" }}, {"code" : { "term":"T.RDGE", "title":"ridge(s)", "description":"a long narrow elevation with steep sides, and a more or less continuous crest" }}, {"code" : { "term":"T.REG", "title":"stony desert", "description":"a desert plain characterized by a surface veneer of gravel and stones" }}, {"code" : { "term":"T.RK", "title":"rock", "description":"a conspicuous, isolated rocky mass" }}, {"code" : { "term":"T.RKFL", "title":"rockfall", "description":"an irregular mass of fallen rock at the base of a cliff or steep slope" }}, {"code" : { "term":"T.RKS", "title":"rocks", "description":"conspicuous, isolated rocky masses" }}, {"code" : { "term":"T.SAND", "title":"sand area", "description":"a tract of land covered with sand" }}, {"code" : { "term":"T.SBED", "title":"dry stream bed", "description":"a channel formerly containing the water of a stream" }}, {"code" : { "term":"T.SCRP", "title":"escarpment", "description":"a long line of cliffs or steep slopes separating level surfaces above and below" }}, {"code" : { "term":"T.SDL", "title":"saddle", "description":"a broad, open pass crossing a ridge or between hills or mountains" }}, {"code" : { "term":"T.SHOR", "title":"shore", "description":"a narrow zone bordering a waterbody which covers and uncovers at high and low water, respectively" }}, {"code" : { "term":"T.SINK", "title":"sinkhole", "description":"a small crater-shape depression in a karst area" }}, {"code" : { "term":"T.SLID", "title":"slide", "description":"a mound of earth material, at the base of a slope and the associated scoured area" }}, {"code" : { "term":"T.SLP", "title":"slope(s)", "description":"a surface with a relatively uniform slope angle" }}, {"code" : { "term":"T.SPIT", "title":"spit", "description":"a narrow, straight or curved continuation of a beach into a waterbody" }}, {"code" : { "term":"T.SPUR", "title":"spur(s)", "description":"a subordinate ridge projecting outward from a hill, mountain or other elevation" }}, {"code" : { "term":"T.TAL", "title":"talus slope", "description":"a steep concave slope formed by an accumulation of loose rock fragments at the base of a cliff or steep slope" }}, {"code" : { "term":"T.TRGD", "title":"interdune trough(s)", "description":"a long wind-swept trough between parallel longitudinal dunes" }}, {"code" : { "term":"T.TRR", "title":"terrace", "description":"a long, narrow alluvial platform bounded by steeper slopes above and below, usually overlooking a waterbody" }}, {"code" : { "term":"T.UPLD", "title":"upland", "description":"an extensive interior region of high land with low to moderate surface relief" }}, {"code" : { "term":"T.VAL", "title":"valley", "description":"an elongated depression usually traversed by a stream" }}, {"code" : { "term":"T.VALG", "title":"hanging valley", "description":"a valley the floor of which is notably higher than the valley or shore to which it leads; most common in areas that have been glaciated" }}, {"code" : { "term":"T.VALS", "title":"valleys", "description":"elongated depressions usually traversed by a stream" }}, {"code" : { "term":"T.VALX", "title":"section of valley" }}, {"code" : { "term":"T.VLC", "title":"volcano", "description":"a conical elevation composed of volcanic materials with a crater at the top" }}, {"code" : { "term":"U.APNU", "title":"apron", "description":"a gentle slope, with a generally smooth surface, particularly found around groups of islands and seamounts" }}, {"code" : { "term":"U.ARCU", "title":"arch", "description":"a low bulge around the southeastern end of the island of hawaii" }}, {"code" : { "term":"U.ARRU", "title":"arrugado", "description":"an area of subdued corrugations off baja california" }}, {"code" : { "term":"U.BDLU", "title":"borderland", "description":"a region adjacent to a continent, normally occupied by or bordering a shelf, that is highly irregular with depths well in excess of those typical of a shelf" }}, {"code" : { "term":"U.BKSU", "title":"banks", "description":"elevations, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation" }}, {"code" : { "term":"U.BNCU", "title":"bench", "description":"a small terrace" }}, {"code" : { "term":"U.BNKU", "title":"bank", "description":"an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation" }}, {"code" : { "term":"U.BSNU", "title":"basin", "description":"a depression more or less equidimensional in plan and of variable extent" }}, {"code" : { "term":"U.CDAU", "title":"cordillera", "description":"an entire mountain system including the subordinate ranges, interior plateaus, and basins" }}, {"code" : { "term":"U.CNSU", "title":"canyons", "description":"relatively narrow, deep depressions with steep sides, the bottom of which generally has a continuous slope" }}, {"code" : { "term":"U.CNYU", "title":"canyon", "description":"a relatively narrow, deep depression with steep sides, the bottom of which generally has a continuous slope" }}, {"code" : { "term":"U.CRSU", "title":"continental rise", "description":"a gentle slope rising from oceanic depths towards the foot of a continental slope" }}, {"code" : { "term":"U.DEPU", "title":"deep", "description":"a localized deep area within the confines of a larger feature, such as a trough, basin or trench" }}, {"code" : { "term":"U.EDGU", "title":"shelf edge", "description":"a line along which there is a marked increase of slope at the outer margin of a continental shelf or island shelf" }}, {"code" : { "term":"U.ESCU", "title":"escarpment (or scarp)", "description":"an elongated and comparatively steep slope separating flat or gently sloping areas" }}, {"code" : { "term":"U.FANU", "title":"fan", "description":"a relatively smooth feature normally sloping away from the lower termination of a canyon or canyon system" }}, {"code" : { "term":"U.FLTU", "title":"flat", "description":"a small level or nearly level area" }}, {"code" : { "term":"U.FRKU", "title":"fork", "description":"a branch of a canyon or valley" }}, {"code" : { "term":"U.FRSU", "title":"forks", "description":"a branch of a canyon or valley" }}, {"code" : { "term":"U.FRZU", "title":"fracture zone", "description":"an extensive linear zone of irregular topography of the sea floor, characterized by steep-sided or asymmetrical ridges, troughs, or escarpments" }}, {"code" : { "term":"U.FURU", "title":"furrow", "description":"a closed, linear, narrow, shallow depression" }}, {"code" : { "term":"U.GAPU", "title":"gap", "description":"a narrow break in a ridge or rise" }}, {"code" : { "term":"U.GLYU", "title":"gully", "description":"a small valley-like feature" }}, {"code" : { "term":"U.HLLU", "title":"hill", "description":"an elevation rising generally less than 500 meters" }}, {"code" : { "term":"U.HLSU", "title":"hills", "description":"elevations rising generally less than 500 meters" }}, {"code" : { "term":"U.HOLU", "title":"hole", "description":"a small depression of the sea floor" }}, {"code" : { "term":"U.KNLU", "title":"knoll", "description":"an elevation rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summit" }}, {"code" : { "term":"U.KNSU", "title":"knolls", "description":"elevations rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summits" }}, {"code" : { "term":"U.LDGU", "title":"ledge", "description":"a rocky projection or outcrop, commonly linear and near shore" }}, {"code" : { "term":"U.LEVU", "title":"levee", "description":"an embankment bordering a canyon, valley, or seachannel" }}, {"code" : { "term":"U.MDVU", "title":"median valley", "description":"the axial depression of the mid-oceanic ridge system" }}, {"code" : { "term":"U.MESU", "title":"mesa", "description":"an isolated, extensive, flat-topped elevation on the shelf, with relatively steep sides" }}, {"code" : { "term":"U.MNDU", "title":"mound", "description":"a low, isolated, rounded hill" }}, {"code" : { "term":"U.MOTU", "title":"moat", "description":"an annular depression that may not be continuous, located at the base of many seamounts, islands, and other isolated elevations" }}, {"code" : { "term":"U.MTSU", "title":"mountains", "description":"well-delineated subdivisions of a large and complex positive feature" }}, {"code" : { "term":"U.MTU", "title":"mountain", "description":"a well-delineated subdivision of a large and complex positive feature" }}, {"code" : { "term":"U.PKSU", "title":"peaks", "description":"prominent elevations, part of a larger feature, either pointed or of very limited extent across the summit" }}, {"code" : { "term":"U.PKU", "title":"peak", "description":"a prominent elevation, part of a larger feature, either pointed or of very limited extent across the summit" }}, {"code" : { "term":"U.PLFU", "title":"platform", "description":"a flat or gently sloping underwater surface extending seaward from the shore" }}, {"code" : { "term":"U.PLNU", "title":"plain", "description":"a flat, gently sloping or nearly level region" }}, {"code" : { "term":"U.PLTU", "title":"plateau", "description":"a comparatively flat-topped feature of considerable extent, dropping off abruptly on one or more sides" }}, {"code" : { "term":"U.PNLU", "title":"pinnacle", "description":"a high tower or spire-shaped pillar of rock or coral, alone or cresting a summit" }}, {"code" : { "term":"U.PRVU", "title":"province", "description":"a region identifiable by a group of similar physiographic features whose characteristics are markedly in contrast with surrounding areas" }}, {"code" : { "term":"U.RAVU", "title":"ravine", "description":"a small canyon" }}, {"code" : { "term":"U.RDGU", "title":"ridge", "description":"a long narrow elevation with steep sides" }}, {"code" : { "term":"U.RDSU", "title":"ridges", "description":"long narrow elevations with steep sides" }}, {"code" : { "term":"U.RFSU", "title":"reefs", "description":"surface-navigation hazards composed of consolidated material" }}, {"code" : { "term":"U.RFU", "title":"reef", "description":"a surface-navigation hazard composed of consolidated material" }}, {"code" : { "term":"U.RISU", "title":"rise", "description":"a broad elevation that rises gently, and generally smoothly, from the sea floor" }}, {"code" : { "term":"U.RMPU", "title":"ramp", "description":"a gentle slope connecting areas of different elevations" }}, {"code" : { "term":"U.RNGU", "title":"range", "description":"a series of associated ridges or seamounts" }}, {"code" : { "term":"U.SCNU", "title":"seachannel", "description":"a continuously sloping, elongated depression commonly found in fans or plains and customarily bordered by levees on one or two sides" }}, {"code" : { "term":"U.SCSU", "title":"seachannels", "description":"continuously sloping, elongated depressions commonly found in fans or plains and customarily bordered by levees on one or two sides" }}, {"code" : { "term":"U.SDLU", "title":"saddle", "description":"a low part, resembling in shape a saddle, in a ridge or between contiguous seamounts" }}, {"code" : { "term":"U.SHFU", "title":"shelf", "description":"a zone adjacent to a continent (or around an island) that extends from the low water line to a depth at which there is usually a marked increase of slope towards oceanic depths" }}, {"code" : { "term":"U.SHLU", "title":"shoal", "description":"a surface-navigation hazard composed of unconsolidated material" }}, {"code" : { "term":"U.SHSU", "title":"shoals", "description":"hazards to surface navigation composed of unconsolidated material" }}, {"code" : { "term":"U.SHVU", "title":"shelf valley", "description":"a valley on the shelf, generally the shoreward extension of a canyon" }}, {"code" : { "term":"U.SILU", "title":"sill", "description":"the low part of a gap or saddle separating basins" }}, {"code" : { "term":"U.SLPU", "title":"slope", "description":"the slope seaward from the shelf edge to the beginning of a continental rise or the point where there is a general reduction in slope" }}, {"code" : { "term":"U.SMSU", "title":"seamounts", "description":"elevations rising generally more than 1,000 meters and of limited extent across the summit" }}, {"code" : { "term":"U.SMU", "title":"seamount", "description":"an elevation rising generally more than 1,000 meters and of limited extent across the summit" }}, {"code" : { "term":"U.SPRU", "title":"spur", "description":"a subordinate elevation, ridge, or rise projecting outward from a larger feature" }}, {"code" : { "term":"U.TERU", "title":"terrace", "description":"a relatively flat horizontal or gently inclined surface, sometimes long and narrow, which is bounded by a steeper ascending slope on one side and by a steep descending slope on the opposite side" }}, {"code" : { "term":"U.TMSU", "title":"tablemounts (or guyots)", "description":"seamounts having a comparatively smooth, flat top" }}, {"code" : { "term":"U.TMTU", "title":"tablemount (or guyot)", "description":"a seamount having a comparatively smooth, flat top" }}, {"code" : { "term":"U.TNGU", "title":"tongue", "description":"an elongate (tongue-like) extension of a flat sea floor into an adjacent higher feature" }}, {"code" : { "term":"U.TRGU", "title":"trough", "description":"a long depression of the sea floor characteristically flat bottomed and steep sided, and normally shallower than a trench" }}, {"code" : { "term":"U.TRNU", "title":"trench", "description":"a long, narrow, characteristically very deep and asymmetrical depression of the sea floor, with relatively steep sides" }}, {"code" : { "term":"U.VALU", "title":"valley", "description":"a relatively shallow, wide depression, the bottom of which usually has a continuous gradient" }}, {"code" : { "term":"U.VLSU", "title":"valleys", "description":"a relatively shallow, wide depression, the bottom of which usually has a continuous gradient" }}, {"code" : { "term":"V.BUSH", "title":"bush(es)", "description":"a small clump of conspicuous bushes in an otherwise bare area" }}, {"code" : { "term":"V.CULT", "title":"cultivated area", "description":"an area under cultivation" }}, {"code" : { "term":"V.FRST", "title":"forest(s)", "description":"an area dominated by tree vegetation" }}, {"code" : { "term":"V.FRSTF", "title":"fossilized forest", "description":"a forest fossilized by geologic processes and now exposed at the earth's surface" }}, {"code" : { "term":"V.GRSLD", "title":"grassland", "description":"an area dominated by grass vegetation" }}, {"code" : { "term":"V.GRVC", "title":"coconut grove", "description":"a planting of coconut trees" }}, {"code" : { "term":"V.GRVO", "title":"olive grove", "description":"a planting of olive trees" }}, {"code" : { "term":"V.GRVP", "title":"palm grove", "description":"a planting of palm trees" }}, {"code" : { "term":"V.GRVPN", "title":"pine grove", "description":"a planting of pine trees" }}, {"code" : { "term":"V.HTH", "title":"heath", "description":"an upland moor or sandy area dominated by low shrubby vegetation including heather" }}, {"code" : { "term":"V.MDW", "title":"meadow", "description":"a small, poorly drained area dominated by grassy vegetation" }}, {"code" : { "term":"V.OCH", "title":"orchard(s)", "description":"a planting of fruit or nut trees" }}, {"code" : { "term":"V.SCRB", "title":"scrubland", "description":"an area of low trees, bushes, and shrubs stunted by some environmental limitation" }}, {"code" : { "term":"V.TREE", "title":"tree(s)", "description":"a conspicuous tree used as a landmark" }}, {"code" : { "term":"V.TUND", "title":"tundra", "description":"a marshy, treeless, high latitude plain, dominated by mosses, lichens, and low shrub vegetation under permafrost conditions" }}, {"code" : { "term":"V.VIN", "title":"vineyard", "description":"a planting of grapevines" }}, {"code" : { "term":"V.VINS", "title":"vineyards", "description":"plantings of grapevines" }}, {"code" : { "term":"A.ADM1H", "title":"historical first-order administrative division" }}, {"code" : { "term":"A.ADM2H", "title":"historical second-order administrative division" }}, {"code" : { "term":"A.ADM3H", "title":"historical third-order administrative division" }}, {"code" : { "term":"A.ADM4H", "title":"historical fourth-order administrative division" }}, {"code" : { "term":"A.ADMH", "title":"historical administrative division" }}, {"code" : { "term":"A.PCLH", "title":"historical political entity" }}, {"code" : { "term":"A.PPCLH", "title":"historical capital of a political entity" }}, {"code" : { "term":"A.PPLH", "title":"historical populated place" }}, {"code" : { "term":"L.RGNH", "title":"historical region" }}, {"code" : { "term":"S.HMSD", "title":"homestead" }} ];
    iso3166 = [{"name":"Afghanistan","alpha2":"AF","country-code":"004"},{"name":"Åland Islands","alpha2":"AX","country-code":"248"},{"name":"Albania","alpha2":"AL","country-code":"008"},{"name":"Algeria","alpha2":"DZ","country-code":"012"},{"name":"American Samoa","alpha2":"AS","country-code":"016"},{"name":"Andorra","alpha2":"AD","country-code":"020"},{"name":"Angola","alpha2":"AO","country-code":"024"},{"name":"Anguilla","alpha2":"AI","country-code":"660"},{"name":"Antarctica","alpha2":"AQ","country-code":"010"},{"name":"Antigua and Barbuda","alpha2":"AG","country-code":"028"},{"name":"Argentina","alpha2":"AR","country-code":"032"},{"name":"Armenia","alpha2":"AM","country-code":"051"},{"name":"Aruba","alpha2":"AW","country-code":"533"},{"name":"Australia","alpha2":"AU","country-code":"036"},{"name":"Austria","alpha2":"AT","country-code":"040"},{"name":"Azerbaijan","alpha2":"AZ","country-code":"031"},{"name":"Bahamas","alpha2":"BS","country-code":"044"},{"name":"Bahrain","alpha2":"BH","country-code":"048"},{"name":"Bangladesh","alpha2":"BD","country-code":"050"},{"name":"Barbados","alpha2":"BB","country-code":"052"},{"name":"Belarus","alpha2":"BY","country-code":"112"},{"name":"Belgium","alpha2":"BE","country-code":"056"},{"name":"Belize","alpha2":"BZ","country-code":"084"},{"name":"Benin","alpha2":"BJ","country-code":"204"},{"name":"Bermuda","alpha2":"BM","country-code":"060"},{"name":"Bhutan","alpha2":"BT","country-code":"064"},{"name":"Bolivia, Plurinational State of","alpha2":"BO","country-code":"068"},{"name":"Bonaire, Sint Eustatius and Saba","alpha2":"BQ","country-code":"535"},{"name":"Bosnia and Herzegovina","alpha2":"BA","country-code":"070"},{"name":"Botswana","alpha2":"BW","country-code":"072"},{"name":"Bouvet Island","alpha2":"BV","country-code":"074"},{"name":"Brazil","alpha2":"BR","country-code":"076"},{"name":"British Indian Ocean Territory","alpha2":"IO","country-code":"086"},{"name":"Brunei Darussalam","alpha2":"BN","country-code":"096"},{"name":"Bulgaria","alpha2":"BG","country-code":"100"},{"name":"Burkina Faso","alpha2":"BF","country-code":"854"},{"name":"Burundi","alpha2":"BI","country-code":"108"},{"name":"Cambodia","alpha2":"KH","country-code":"116"},{"name":"Cameroon","alpha2":"CM","country-code":"120"},{"name":"Canada","alpha2":"CA","country-code":"124"},{"name":"Cape Verde","alpha2":"CV","country-code":"132"},{"name":"Cayman Islands","alpha2":"KY","country-code":"136"},{"name":"Central African Republic","alpha2":"CF","country-code":"140"},{"name":"Chad","alpha2":"TD","country-code":"148"},{"name":"Chile","alpha2":"CL","country-code":"152"},{"name":"China","alpha2":"CN","country-code":"156"},{"name":"Christmas Island","alpha2":"CX","country-code":"162"},{"name":"Cocos (Keeling) Islands","alpha2":"CC","country-code":"166"},{"name":"Colombia","alpha2":"CO","country-code":"170"},{"name":"Comoros","alpha2":"KM","country-code":"174"},{"name":"Congo","alpha2":"CG","country-code":"178"},{"name":"Congo, the Democratic Republic of the","alpha2":"CD","country-code":"180"},{"name":"Cook Islands","alpha2":"CK","country-code":"184"},{"name":"Costa Rica","alpha2":"CR","country-code":"188"},{"name":"Côte d'Ivoire","alpha2":"CI","country-code":"384"},{"name":"Croatia","alpha2":"HR","country-code":"191"},{"name":"Cuba","alpha2":"CU","country-code":"192"},{"name":"Curaçao","alpha2":"CW","country-code":"531"},{"name":"Cyprus","alpha2":"CY","country-code":"196"},{"name":"Czech Republic","alpha2":"CZ","country-code":"203"},{"name":"Denmark","alpha2":"DK","country-code":"208"},{"name":"Djibouti","alpha2":"DJ","country-code":"262"},{"name":"Dominica","alpha2":"DM","country-code":"212"},{"name":"Dominican Republic","alpha2":"DO","country-code":"214"},{"name":"Ecuador","alpha2":"EC","country-code":"218"},{"name":"Egypt","alpha2":"EG","country-code":"818"},{"name":"El Salvador","alpha2":"SV","country-code":"222"},{"name":"Equatorial Guinea","alpha2":"GQ","country-code":"226"},{"name":"Eritrea","alpha2":"ER","country-code":"232"},{"name":"Estonia","alpha2":"EE","country-code":"233"},{"name":"Ethiopia","alpha2":"ET","country-code":"231"},{"name":"Falkland Islands (Malvinas)","alpha2":"FK","country-code":"238"},{"name":"Faroe Islands","alpha2":"FO","country-code":"234"},{"name":"Fiji","alpha2":"FJ","country-code":"242"},{"name":"Finland","alpha2":"FI","country-code":"246"},{"name":"France","alpha2":"FR","country-code":"250"},{"name":"French Guiana","alpha2":"GF","country-code":"254"},{"name":"French Polynesia","alpha2":"PF","country-code":"258"},{"name":"French Southern Territories","alpha2":"TF","country-code":"260"},{"name":"Gabon","alpha2":"GA","country-code":"266"},{"name":"Gambia","alpha2":"GM","country-code":"270"},{"name":"Georgia","alpha2":"GE","country-code":"268"},{"name":"Germany","alpha2":"DE","country-code":"276"},{"name":"Ghana","alpha2":"GH","country-code":"288"},{"name":"Gibraltar","alpha2":"GI","country-code":"292"},{"name":"Greece","alpha2":"GR","country-code":"300"},{"name":"Greenland","alpha2":"GL","country-code":"304"},{"name":"Grenada","alpha2":"GD","country-code":"308"},{"name":"Guadeloupe","alpha2":"GP","country-code":"312"},{"name":"Guam","alpha2":"GU","country-code":"316"},{"name":"Guatemala","alpha2":"GT","country-code":"320"},{"name":"Guernsey","alpha2":"GG","country-code":"831"},{"name":"Guinea","alpha2":"GN","country-code":"324"},{"name":"Guinea-Bissau","alpha2":"GW","country-code":"624"},{"name":"Guyana","alpha2":"GY","country-code":"328"},{"name":"Haiti","alpha2":"HT","country-code":"332"},{"name":"Heard Island and McDonald Islands","alpha2":"HM","country-code":"334"},{"name":"Holy See (Vatican City State)","alpha2":"VA","country-code":"336"},{"name":"Honduras","alpha2":"HN","country-code":"340"},{"name":"Hong Kong","alpha2":"HK","country-code":"344"},{"name":"Hungary","alpha2":"HU","country-code":"348"},{"name":"Iceland","alpha2":"IS","country-code":"352"},{"name":"India","alpha2":"IN","country-code":"356"},{"name":"Indonesia","alpha2":"ID","country-code":"360"},{"name":"Iran, Islamic Republic of","alpha2":"IR","country-code":"364"},{"name":"Iraq","alpha2":"IQ","country-code":"368"},{"name":"Ireland","alpha2":"IE","country-code":"372"},{"name":"Isle of Man","alpha2":"IM","country-code":"833"},{"name":"Israel","alpha2":"IL","country-code":"376"},{"name":"Italy","alpha2":"IT","country-code":"380"},{"name":"Jamaica","alpha2":"JM","country-code":"388"},{"name":"Japan","alpha2":"JP","country-code":"392"},{"name":"Jersey","alpha2":"JE","country-code":"832"},{"name":"Jordan","alpha2":"JO","country-code":"400"},{"name":"Kazakhstan","alpha2":"KZ","country-code":"398"},{"name":"Kenya","alpha2":"KE","country-code":"404"},{"name":"Kiribati","alpha2":"KI","country-code":"296"},{"name":"Korea, Democratic People's Republic of","alpha2":"KP","country-code":"408"},{"name":"Korea, Republic of","alpha2":"KR","country-code":"410"},{"name":"Kuwait","alpha2":"KW","country-code":"414"},{"name":"Kyrgyzstan","alpha2":"KG","country-code":"417"},{"name":"Lao People's Democratic Republic","alpha2":"LA","country-code":"418"},{"name":"Latvia","alpha2":"LV","country-code":"428"},{"name":"Lebanon","alpha2":"LB","country-code":"422"},{"name":"Lesotho","alpha2":"LS","country-code":"426"},{"name":"Liberia","alpha2":"LR","country-code":"430"},{"name":"Libya","alpha2":"LY","country-code":"434"},{"name":"Liechtenstein","alpha2":"LI","country-code":"438"},{"name":"Lithuania","alpha2":"LT","country-code":"440"},{"name":"Luxembourg","alpha2":"LU","country-code":"442"},{"name":"Macao","alpha2":"MO","country-code":"446"},{"name":"Macedonia, the former Yugoslav Republic of","alpha2":"MK","country-code":"807"},{"name":"Madagascar","alpha2":"MG","country-code":"450"},{"name":"Malawi","alpha2":"MW","country-code":"454"},{"name":"Malaysia","alpha2":"MY","country-code":"458"},{"name":"Maldives","alpha2":"MV","country-code":"462"},{"name":"Mali","alpha2":"ML","country-code":"466"},{"name":"Malta","alpha2":"MT","country-code":"470"},{"name":"Marshall Islands","alpha2":"MH","country-code":"584"},{"name":"Martinique","alpha2":"MQ","country-code":"474"},{"name":"Mauritania","alpha2":"MR","country-code":"478"},{"name":"Mauritius","alpha2":"MU","country-code":"480"},{"name":"Mayotte","alpha2":"YT","country-code":"175"},{"name":"Mexico","alpha2":"MX","country-code":"484"},{"name":"Micronesia, Federated States of","alpha2":"FM","country-code":"583"},{"name":"Moldova, Republic of","alpha2":"MD","country-code":"498"},{"name":"Monaco","alpha2":"MC","country-code":"492"},{"name":"Mongolia","alpha2":"MN","country-code":"496"},{"name":"Montenegro","alpha2":"ME","country-code":"499"},{"name":"Montserrat","alpha2":"MS","country-code":"500"},{"name":"Morocco","alpha2":"MA","country-code":"504"},{"name":"Mozambique","alpha2":"MZ","country-code":"508"},{"name":"Myanmar","alpha2":"MM","country-code":"104"},{"name":"Namibia","alpha2":"NA","country-code":"516"},{"name":"Nauru","alpha2":"NR","country-code":"520"},{"name":"Nepal","alpha2":"NP","country-code":"524"},{"name":"Netherlands","alpha2":"NL","country-code":"528"},{"name":"New Caledonia","alpha2":"NC","country-code":"540"},{"name":"New Zealand","alpha2":"NZ","country-code":"554"},{"name":"Nicaragua","alpha2":"NI","country-code":"558"},{"name":"Niger","alpha2":"NE","country-code":"562"},{"name":"Nigeria","alpha2":"NG","country-code":"566"},{"name":"Niue","alpha2":"NU","country-code":"570"},{"name":"Norfolk Island","alpha2":"NF","country-code":"574"},{"name":"Northern Mariana Islands","alpha2":"MP","country-code":"580"},{"name":"Norway","alpha2":"NO","country-code":"578"},{"name":"Oman","alpha2":"OM","country-code":"512"},{"name":"Pakistan","alpha2":"PK","country-code":"586"},{"name":"Palau","alpha2":"PW","country-code":"585"},{"name":"Palestinian Territory, Occupied","alpha2":"PS","country-code":"275"},{"name":"Panama","alpha2":"PA","country-code":"591"},{"name":"Papua New Guinea","alpha2":"PG","country-code":"598"},{"name":"Paraguay","alpha2":"PY","country-code":"600"},{"name":"Peru","alpha2":"PE","country-code":"604"},{"name":"Philippines","alpha2":"PH","country-code":"608"},{"name":"Pitcairn","alpha2":"PN","country-code":"612"},{"name":"Poland","alpha2":"PL","country-code":"616"},{"name":"Portugal","alpha2":"PT","country-code":"620"},{"name":"Puerto Rico","alpha2":"PR","country-code":"630"},{"name":"Qatar","alpha2":"QA","country-code":"634"},{"name":"Réunion","alpha2":"RE","country-code":"638"},{"name":"Romania","alpha2":"RO","country-code":"642"},{"name":"Russian Federation","alpha2":"RU","country-code":"643"},{"name":"Rwanda","alpha2":"RW","country-code":"646"},{"name":"Saint Barthélemy","alpha2":"BL","country-code":"652"},{"name":"Saint Helena, Ascension and Tristan da Cunha","alpha2":"SH","country-code":"654"},{"name":"Saint Kitts and Nevis","alpha2":"KN","country-code":"659"},{"name":"Saint Lucia","alpha2":"LC","country-code":"662"},{"name":"Saint Martin (French part)","alpha2":"MF","country-code":"663"},{"name":"Saint Pierre and Miquelon","alpha2":"PM","country-code":"666"},{"name":"Saint Vincent and the Grenadines","alpha2":"VC","country-code":"670"},{"name":"Samoa","alpha2":"WS","country-code":"882"},{"name":"San Marino","alpha2":"SM","country-code":"674"},{"name":"Sao Tome and Principe","alpha2":"ST","country-code":"678"},{"name":"Saudi Arabia","alpha2":"SA","country-code":"682"},{"name":"Senegal","alpha2":"SN","country-code":"686"},{"name":"Serbia","alpha2":"RS","country-code":"688"},{"name":"Seychelles","alpha2":"SC","country-code":"690"},{"name":"Sierra Leone","alpha2":"SL","country-code":"694"},{"name":"Singapore","alpha2":"SG","country-code":"702"},{"name":"Sint Maarten (Dutch part)","alpha2":"SX","country-code":"534"},{"name":"Slovakia","alpha2":"SK","country-code":"703"},{"name":"Slovenia","alpha2":"SI","country-code":"705"},{"name":"Solomon Islands","alpha2":"SB","country-code":"090"},{"name":"Somalia","alpha2":"SO","country-code":"706"},{"name":"South Africa","alpha2":"ZA","country-code":"710"},{"name":"South Georgia and the South Sandwich Islands","alpha2":"GS","country-code":"239"},{"name":"South Sudan","alpha2":"SS","country-code":"728"},{"name":"Spain","alpha2":"ES","country-code":"724"},{"name":"Sri Lanka","alpha2":"LK","country-code":"144"},{"name":"Sudan","alpha2":"SD","country-code":"729"},{"name":"Suriname","alpha2":"SR","country-code":"740"},{"name":"Svalbard and Jan Mayen","alpha2":"SJ","country-code":"744"},{"name":"Swaziland","alpha2":"SZ","country-code":"748"},{"name":"Sweden","alpha2":"SE","country-code":"752"},{"name":"Switzerland","alpha2":"CH","country-code":"756"},{"name":"Syrian Arab Republic","alpha2":"SY","country-code":"760"},{"name":"Taiwan, Province of China","alpha2":"TW","country-code":"158"},{"name":"Tajikistan","alpha2":"TJ","country-code":"762"},{"name":"Tanzania, United Republic of","alpha2":"TZ","country-code":"834"},{"name":"Thailand","alpha2":"TH","country-code":"764"},{"name":"Timor-Leste","alpha2":"TL","country-code":"626"},{"name":"Togo","alpha2":"TG","country-code":"768"},{"name":"Tokelau","alpha2":"TK","country-code":"772"},{"name":"Tonga","alpha2":"TO","country-code":"776"},{"name":"Trinidad and Tobago","alpha2":"TT","country-code":"780"},{"name":"Tunisia","alpha2":"TN","country-code":"788"},{"name":"Turkey","alpha2":"TR","country-code":"792"},{"name":"Turkmenistan","alpha2":"TM","country-code":"795"},{"name":"Turks and Caicos Islands","alpha2":"TC","country-code":"796"},{"name":"Tuvalu","alpha2":"TV","country-code":"798"},{"name":"Uganda","alpha2":"UG","country-code":"800"},{"name":"Ukraine","alpha2":"UA","country-code":"804"},{"name":"United Arab Emirates","alpha2":"AE","country-code":"784"},{"name":"United Kingdom","alpha2":"GB","country-code":"826"},{"name":"United States","alpha2":"US","country-code":"840"},{"name":"United States Minor Outlying Islands","alpha2":"UM","country-code":"581"},{"name":"Uruguay","alpha2":"UY","country-code":"858"},{"name":"Uzbekistan","alpha2":"UZ","country-code":"860"},{"name":"Vanuatu","alpha2":"VU","country-code":"548"},{"name":"Venezuela, Bolivarian Republic of","alpha2":"VE","country-code":"862"},{"name":"Viet Nam","alpha2":"VN","country-code":"704"},{"name":"Virgin Islands, British","alpha2":"VG","country-code":"092"},{"name":"Virgin Islands, U.S.","alpha2":"VI","country-code":"850"},{"name":"Wallis and Futuna","alpha2":"WF","country-code":"876"},{"name":"Western Sahara","alpha2":"EH","country-code":"732"},{"name":"Yemen","alpha2":"YE","country-code":"887"},{"name":"Zambia","alpha2":"ZM","country-code":"894"},{"name":"Zimbabwe","alpha2":"ZW","country-code":"716"}];
    return {
        name: 'GeoNames Features',
        type: 'place',
        dataType: 'xml',        
        toDataUri: function(uri) {
            var levels = uri.split('/');
            datauri = 'http://sws.geonames.org/' + levels[3] + '/about.rdf';
            return datauri;
        },
        corsEnabled: true,
        parseData: function(xml) {
            var name = $(xml).find('gn\\:name, name').text();
            name = typeof name === 'undefined'? 'unnamed' : name;

            var latlon = new Array();
            var y = $(xml).find('wgs84_pos\\:lat, lat').text();
            var x = $(xml).find('wgs84_pos\\:long, long').text();
            y = typeof y === 'undefined'? '0.0' : y;
            x = typeof x === 'undefined'? '0.0' : x;
            latlon[0] = y;
            latlon[1] = x;

            var codeuri = $(xml).find('gn\\:featureCode, featureCode').attr('rdf:resource');
            codeuri = typeof codeuri === 'undefined'? '' : codeuri;
            var term = ''
            if (codeuri != '') {
                var code = codeuri.substr(codeuri.indexOf('#')+1);
                term = gncodes.filter(function (x) {
                    return x.code.term === code;
                })[0].code.title;
            }

            var countrycode = $(xml).find('gn\\:countryCode, countryCode').text();
            countrycode = typeof countrycode === 'undefined'? '' : countrycode;
            var countryname = '';
            if (countrycode != '') {
                countryname = iso3166.filter(function (x) {
                    return x.alpha2 === countrycode;
                })[0].name;
            }

            var wikiuri = $(xml).find('gn\\:wikipediaArticle, wikipediaArticle').attr('rdf:resource');
            wikiuri = typeof wikiuri === 'undefined'? '' : wikiuri;

            var description = 'A place described in the GeoNames gazetteer: ' + term + ". "
            if (countryname != '') {
                description = description + "Located in the modern country of " + countryname + "."
            }
            if (wikiuri != '') {
                description = description + '<br /><br/><a href="' + wikiuri + '">See also Wikipedia</a>.';
            }

            return {
                name: name,
                description: description,
                latlon: latlon,
            };
        },
    };
});
